--[[
    Project: AtlasMajorCities English NPC Plugin
    Author: modefanz.eu ~ Modefanz Coding Team
    Discripton: English NPC Plugin for AtlasMajorCities.
    Release Date: May.2009
    Release Version: 1.5
    Internal: AMC.enUS.15
]]--

--local AceLocale = LibStub:GetLibrary("AceLocale-3.0");
--local AMCL = AceLocale:NewLocale("AtlasMajoeCities", "enUS", true);


local BabbleZone = AMC_GetLocaleLibBabble("LibBabble-Zone-3.0");
local BabbleFaction = AMC_GetLocaleLibBabble("LibBabble-Faction-3.0");
local BabbleRace = AMC_GetLocaleLibBabble("LibBabble-Race-3.0");
local BabbleNPCDesc = AMC_GetLocaleLibBabble("LibBabble-NPC-Descriptio-3.0");

--if ( GetLocale() == "enUS" or GetLocale() == "enGB" ) then

AMCLocale = {
	--Common	
	["Major Cities"] = "Major Cities";
  
  	---Common Names, Items & Buildings
  	-- Public Shops, Facilities, Equipments, Tools
	["Inn"] = "Inn";
	["Mailbox"] = "Mailbox";
	["Forge"] = "Forge";
	["Stove"] = "Cooking Stove";
	["AH"] = "Auction House";
	["Bank"] = "Bank";
	["Bshop"] = "Barbershop";
	-- PvP commanders
	["Alliance Brigadier"] = "Alliance Brigadier General";
	["Ancients Emmissary"] = "Strand of the Ancients Emissary";
	-- Training Dummies
	["E Dummy"] = "Expert's Training Dummy";
	["M Dummy"] = "Master's Training Dummy";
	["G Dummy"] = "Grandmaster's Training Dummy";
	["H Dummy"] = "Heroic Training Dummy";
	-- Weapons
	["Bows"] = 			"          Bows";
	["Fist Weapons"] = 	"          Fist Weapons";
	["Staves"] = 		"          Staves";
	["Thrown"] = 		"          Thrown";
	["Daggers"] = 		"          Daggers";
	["Crossbow"] = 		"          Crossbow";
	["Guns"] = 			"          Guns";
	["Polearms"] = 		"          Polearms";
	["One-Handed Maces"] = 	"          One-Handed Maces";
	["Two-Handed Maces"] = 	"          Two-Handed Maces";
	["Two-Handed Sword"] = 	"          Two-Handed Sword";
	["One-Handed Sword"] = 	"          One-Handed Sword";
	["One-Handed Axes"] = 	"          One-Handed Axes";
	["Two-Handed Axes"] = 	"          Two-Handed Axes";
	-- Portals
	["PorStor"] = "Portal to Stormwind";
	["PorIron"] = "Portal to Ironforge";
	["PorDarn"] = "Portal to Darnassus";
	["PorExod"] = "Portal to Exodar";
	["PorShat"] = "Portal to Shattrath";
	["PorOrgr"] = "Portal to Orgrimmar";
	["PorUnde"] = "Portal to Undercity";
	["PorSilv"] = "Portal to Silvermoon";
	["PorThBl"] = "Portal to Thunder Bluff";
	["PorBlasted"] = "Portal to Blasted Lands";
  
  --NPC Dalaran
  --White
  -- Krasus' Landing
	["Aludane Whitecloud"] = "Aludane Whitecloud".." <"..BabbleNPCDesc["Flightmaster"]..">";
	["Hira Snowdawn"] = "Hira Snowdawn".." <"..BabbleNPCDesc["Cold Weather Flying Trainer"]..">";
	["Officer Van Rossem"] = "Officer Van Rossem";
	["Sky-Reaver Klum"] = "Sky-Reaver Klum";
  
  --Orng
	["Runeweaver Square"] = "Runeweaver Square";

	["Entrance to the Sewers"] = "Entrance to the Sewers";

	["Magical Menagerie"] = "Magical Menagerie";
	["Mei Francis"] = "Mei Francis".." <"..BabbleNPCDesc["Exotic Mounts"]..">";
	["Breanni"] = "Breanni".." <"..BabbleNPCDesc["Pet Supplies"]..">";
	["Tassia Whisperglen"] = "Tassia Whisperglen".." <"..BabbleNPCDesc["Stable Master"]..">";

	["Teleport to Violet Stand"] = "Teleport to Violet Stand Crystal";
	["Archmage Celindra"] = "Archmage Celindra".." <"..BabbleNPCDesc["Portal Trainer"]..">";
	["Warcaster Fanoraithe"] = "Warcaster Fanoraithe".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	["Jessa Weaver"] = "Jessa Weaver".." <"..BabbleNPCDesc["Mage Trainer"]..">";

	["The Hunter's Reach"] = "The Hunter's Reach";
	["Dagna Flintlock"] = "Dagna Flintlock".." <"..BabbleNPCDesc["Gunsmith"]..">";
	["Jarold Puller"] = "Jarold Puller".." <"..BabbleNPCDesc["Specialty Ammunition"]..">";
	["Aemara"] = "Aemara".." <"..BabbleNPCDesc["Bowyer"]..">";

	["Aerith Primrose"] = "Aerith Primrose".." <"..BabbleNPCDesc["Flower Vendor"]..">";

	["The Arsenal Absolute"] = "The Arsenal Absolute";
	["Bartram Haller"] = "Bartram Haller".." <"..BabbleNPCDesc["Dagger & Fist Weapon Merchant"]..">";
	["Kerta the Bold"] = "Kerta the Bold".." <"..BabbleNPCDesc["Axe & Polearm Merchant"]..">";
	["Valaden Silverblade"] = "Valaden Silverblade".." <"..BabbleNPCDesc["Sword Merchant"]..">";
	["Walther Whiteford"] = "Walther Whiteford".." <"..BabbleNPCDesc["Mace Merchant"]..">";

	["Dalaran Visitor Center"] = "Dalaran Visitor Center";
	["Andrew Matthews"] = "Andrew Matthews".." <"..BabbleNPCDesc["Guild Master"]..">";
	["Elizabeth Ross"] = "Elizabeth Ross".." <"..BabbleNPCDesc["Tabard Vendor"]..">";
	["Archivist Betha"] = "Archivist Betha".." <"..BabbleNPCDesc["City Historian"]..">";

	["Curiosities & Moore"] = "Curiosities & Moore";
	["Debbi Moore"] = "Debbi Moore".." <"..BabbleNPCDesc["Trinkets & Charms"]..">";
	["Brammold Deepmine"] = "Brammold Deepmine".." <"..BabbleNPCDesc["Antiques & Heirlooms"]..">";
	["Orton Bennet"] = "Orton Bennet".." <"..BabbleNPCDesc["Offhand Offerings"]..">";
	["Ninsianna"] = "Ninsianna".." <"..BabbleNPCDesc["Relics"]..">";

	["Applebough"] = "Applebough".." <"..BabbleNPCDesc["Fuit Vendor"]..">";
	["Windle Sparkshine"] = "Windle Sparkshine, Wand Windle's Lighter";

	["Sisters Sorcerous"] = "Sisters Sorcerous";
	["Hagatha Moorehead"] = "Hagatha Moorehead".." <"..BabbleNPCDesc["Reagent Merchant"]..">";
	["Endora Moorehead"] = "Endora Moorehead".." <"..BabbleNPCDesc["Magical Goods"]..">";

	["The Threads of Fate"] = "The Threads of Fate";
	["Paldesse"] = "Paldesse".." <"..BabbleNPCDesc["Cloth Armor Merchant"]..">";
	["Karandonna"] = "Karandonna".." <"..BabbleNPCDesc["Clothier"]..">";
	["Sheddle Glossgleam"] = "Sheddle Glossgleam".." <"..BabbleNPCDesc["Cobbler"]..">";
	["Chameli Banaphash"] = "Chameli Banaphash".." <"..BabbleNPCDesc["Haberdasher"]..">";
	["Norvin Alderman"] = "Norvin Alderman".." <"..BabbleNPCDesc["Cloaks"]..">";

	["The Wonderworks"] = "The Wonderworks";
	["Jepetto Joybuzz"] = "Jepetto Joybuzz".." <"..BabbleNPCDesc["Toymaker"]..">";
	["Clockwork Assistant"] = "Clockwork Assistant".." <"..BabbleNPCDesc["Jepetto's Companion"]..">";

	["The Legerdemain Lounge"] = "The Legerdemain Lounge";
	["Amisi Azuregaze"] = "Amisi Azuregaze".." <"..BabbleNPCDesc["Innkeeper"]..">";
	["Arille Azuregaze"] = "Arille Azuregaze".." <"..BabbleNPCDesc["Bartender"]..">";
	["Sandra Bartan"] = "Sandra Bartan".." <"..BabbleNPCDesc["Barmaid"]..">";
	["Afsaneh Asrar"] = "Afsaneh Asrar".." <"..BabbleNPCDesc["Assistant Innkeeper"]..">";

	["Kizi Copperclip"] = "Kizi Copperclip".." <"..BabbleNPCDesc["Barber"]..">";

	["One More Glass"] = "One More Glass";
	["Fialla Sweetberry"] = "Fialla Sweetberry".." <"..BabbleNPCDesc["Food & Drink Vendor"]..">";
	["Christi Stockton"] = "Christi Stockton".." <"..BabbleNPCDesc["Wine Vendor"]..">";
	["Lucian Trias"] = "Lucian Trias".." <"..BabbleNPCDesc["Bread & Cheese Vendor"]..">";

	["Aimee"] = "Aimee".." <"..BabbleNPCDesc["Pie, Pastry & Cakes Vendor"]..">";

  --Purp
	["The Eventide"] = "The Eventide";

	["Marcia Chase"] = "Marcia Chase".." <"..BabbleNPCDesc["Grand Master Fishing Trainer & Supplies"]..">";
	["Marcia Chase &"] = "";

	["Glorious Goods"] = "Glorious Goods";
	["Jack Findle"] = "'Red' Jack Findle".." <"..BabbleNPCDesc["Trade Supplies"]..">";
	["Susana Averoy"] = "Susana Averoy".." <"..BabbleNPCDesc["General Goods"]..">";

	["Langrom's Leather & Links"] = "Langrom's Leather & Links";
	["Bragund Brightlink"] = "Bragund Brightlink".." <"..BabbleNPCDesc["Mail Armor Merchant"]..">";
	["Valerie Langrom"] = "Valerie Langrom".." <"..BabbleNPCDesc["Leather Armor Merchant"]..">";

	["The Militant Mystic"] = "The Militant Mystic";
	["Abra Cadabra"] = "Abra Cadabra".." <"..BabbleNPCDesc["Wands"]..">";
	["Shen Kang Cheng"] = "Shen Kang Cheng".." <"..BabbleNPCDesc["Staves"]..">";

  --Yell
	["The Violet Hold"] = "The Violet Hold";

	["Archmage Timear"] = "Archmage Timear";
	["Archmage Lan'dalock"] = "Archmage Lan'dalock";
	["Torgo the Younger"] = "Torgo the Younger";
	["The Violet Hold Instance"] = "The Violet Hold Instance";

  --Blue
	["The Silver Enclave a"] = "The Silver Enclave (Alliance)";

	["A Hero's Welcome"] = "A Hero's Welcome";
	["Isirami Fairwind"] = "Isirami Fairwind".." <"..BabbleNPCDesc["Innkeeper"]..">";
	["Stefen Cotter"] = "Stefen Cotter".." <"..BabbleNPCDesc["Bartender"]..">";
	["Katherine Lee"] = "Katherine Lee".." <"..BabbleNPCDesc["Grand Master Cooking Trainer"]..">";
	["Derek Odds"] = "Derek Odds".." <"..BabbleNPCDesc["Cooking Supplies"]..">";
	["Inzi Charmlight"] = "Inzi Charmlight".." <"..BabbleNPCDesc["Barmaid"]..">";
	["Marcella Bloom"] = "Marcella Bloom".." <"..BabbleNPCDesc["Barmaid"]..">";
	["Caliel Brightwillow"] = "Caliel Brightwillow".." <"..BabbleNPCDesc["Assistant Innkeeper"]..">";

	["The Beer Garden"] = "The Beer Garden";
	["Laire Brewgold"] = "Laire Brewgold".." <"..BabbleNPCDesc["Brewmaiden"]..">";
	["Coira Longrifle"] = "Coira Longrifle".." <"..BabbleNPCDesc["Brewmaiden"]..">";

	["The Silver Enclave"] = "The Silver Enclave";

	["Arcanist Braedin"] = "Arcanist Braedin".." <"..BabbleNPCDesc["Wintergrasp Battle-Mage"]..">";
	["Portal to Battlefields"] = "Portals to the Battlefields";

	["Upstair"] = "Upstairs";
	["Arcanist Ivrenne"] = "Arcanist Ivrenne".." <"..BabbleNPCDesc["Emblem of Heroism Quartermaster"]..">";
	["Arcanist Ivrenne &"] = "";
	["Arcanist Adurin"] = "Arcanist Adurin".." <"..BabbleNPCDesc["Emblem of Valor Quartermaster"]..">";
	["Arcanist Firael"] = "Arcanist Firael".." <"..BabbleNPCDesc["Emblem of Conquest Quartermaster"]..">";
	["Arcanist Firael &"] = "";

  --Gren
	["The Violet Citadel"] = "The Violet Citadel";

	["Rhonin"] = "Rhonin".." <"..BabbleNPCDesc["Leader of the Kirin Tor"]..">";
	["Vereesa Windrunner"] = "Vereesa Windrunner".." <"..BabbleNPCDesc["Ranger General of the Silver Covenant"]..">";
	["Vereesa Windrunner &"] = ""; 

	["Archmage Alvareaux"] = "Archmage Alvareaux".." <"..BabbleNPCDesc["Kirin Tor Quartermaster"]..">";

	["Zidormi"] = "Zidormi".." <"..BabbleNPCDesc["Keepers of Time"]..">";
	["Portal Cavern Time"] = "Portal to the Caverns of Time";

	["Portal Purple Parlor"] = "Portal to the Purple Parlor";

	["The Purple Parlor"] = "The Purple Parlor";
	["Archmage John Nicholas"] = "Archmage John Nicholas".." <"..BabbleNPCDesc["The Punisher"]..">";
	["Alfred Copperworth"] = "Alfred Copperworth".." <"..BabbleNPCDesc["Butler"]..">";

  --Grey
	["The Magus Commerce"] = "The Magus Commerce Exchange";

	["Simply Enchanting"] = "Simply Enchanting";
	["Enchanter Nalthanis"] = "Enchanter Nalthanis".." <"..BabbleNPCDesc["Grand Master Enchanting Trainer"]..">";
	["Enchanter Nalthanis &"] = "";
	["Ildine Sorrowspear"] = "Ildine Sorrowspear".." <"..BabbleNPCDesc["Enchanting Supplies"]..">";
	["Vanessa Sellers"] = "Vanessa Sellers".." <"..BabbleNPCDesc["Shard Trader"]..">";

	["First to Your Aid"] = "First to Your Aid";
	["Olisarra the Kind"] = "Olisarra the Kind".." <"..BabbleNPCDesc["Grand Master First Aid Trainer"]..">";
	["Angelique Butler"] = "Angelique Butler".." <"..BabbleNPCDesc["First Aid Supplies"]..">";

	["Talismanic Textiles"] = "Talismanic Textiles";
	["Charles Worth"] =  "Charles Worth".." <"..BabbleNPCDesc["Grand Master Tailoring Trainer"]..">";
	["Dominique Stefano"] = "Dominique Stefano".." <"..BabbleNPCDesc["Tailoring Supplies"]..">";
	["Ainderu Summerleaf"] = "Ainderu Summerleaf".." <"..BabbleNPCDesc["Mooncloth Tailoring Specialist"]..">";
	["Ainderu Summerleaf &"] = "";
	["Lalla Brightweave"] = "Lalla Brightweave".." <"..BabbleNPCDesc["Spellfire Tailoring Specialist"]..">";
	["Linna Bruder"] = "Linna Bruder".." <"..BabbleNPCDesc["Shadoweave Tailoring Specialist"]..">";

	["Legendary Leathers"] = "Legendary Leathers";
	["Braeg Stoutbeard"] = "Braeg Stoutbeard".." <"..BabbleNPCDesc["Fur & Leather Trader"]..">";
	["Diane Cannings"] = "Diane Cannings".." <"..BabbleNPCDesc["Grand Master Leatherworking Trainer"]..">";
	["Diane Cannings &"] = "";
	["Derik Marks"] = "Derik Marks".." <"..BabbleNPCDesc["Grand Master Skinning Trainer"]..">";
	["Ranid Glowergold"] = "Ranid Glowergold".." <"..BabbleNPCDesc["Leatherworking & Skinning Supplies"]..">";
	["Ranid Glowergold &"] = "";
	["Manfred Staller"] = "Manfred Staller".." <"..BabbleNPCDesc["Elemental Leatherworking Trainer"]..">";
	["Manfred Staller &"] = "";
	["Andellion"] = "Andellion".." <"..BabbleNPCDesc["Dragonscale Leatherworking Trainer"]..">";
	["Namha Moonwater"] = "Namha Moonwater".." <"..BabbleNPCDesc["Tribal Leatherworking Trainer"]..">";
	["Namha Moonwater &"] = "";

	["Like Clockwork"] = "Like Clockwork";
	["Justin Oshenko"] = "Justin Oshenko".." <"..BabbleNPCDesc["Grand Master Engineering Trainer"]..">";
	["Justin Oshenko &"] = "";
	["Bryan Landers"] = "Bryan Landers".." <"..BabbleNPCDesc["Engineering Supplies"]..">";
	["Didi the Wrench"] = "Didi the Wrench".." <"..BabbleNPCDesc["Goblin Engineering Trainer"]..">";
	["Findle Whistlesteam"] = "Findle Whistlesteam".." <"..BabbleNPCDesc["Gnome Engineering Trainer"]..">";

	["All That Glitters Prospecting Co"] = "All That Glitters Prospecting Co.";
	["Jedidiah Handers"] = "Jedidiah Handers".." <"..BabbleNPCDesc["Grand Master Mining Trainer"]..">";
	["Dorian Fines"] = "Dorian Fines".." <"..BabbleNPCDesc["Mining Supplies"]..">";

	["The Forge of Fate"] = "The Forge of Fate";

	["Tanks For Everything"] = "Tanks For Everything";
	["Alard Schmied"] = "Alard Schmied".." <"..BabbleNPCDesc["Grand Master Blacksmithing Trainer"]..">";
	["Alard Schmied &"] = "";
	["Palja Amboss"] = "Palja Amboss".." <"..BabbleNPCDesc["Blacksmithing Supplies"]..">";
	["Imindril Spearsong"] = "Imindril Spearsong".." <"..BabbleNPCDesc["Weaponsmithing Trainer"]..">";
	["Orland Schaeffer"] = "Orland Schaeffer".." <"..BabbleNPCDesc["Armorsmithing Trainer"]..">";
	["Dubin Clay"] = "Dubin Clay".." <"..BabbleNPCDesc["Plate Armor Merchant"]..">";
	["Griselda Hunderland"] = "Griselda Hunderland".." <"..BabbleNPCDesc["Plate Armor Merchant"]..">";
	["Anthony Durain"] = "Anthony Durain".." <"..BabbleNPCDesc["Shield Merchant"]..">";

	["Dorothy Egan"] = "Dorothy Egan".." <"..BabbleNPCDesc["Grand Master Herbalism Trainer"]..">";
	["Edward Egan"] = "Edward Egan".." <"..BabbleNPCDesc["Herbalism Supplies"]..">";

	["The Scribes Sacellum"] = "The Scribes Sacellum";
	["Professor Pallin"] = "Professor Pallin".." <"..BabbleNPCDesc["Grand Master Inscription Trainer"]..">";
	["Proffessor Pallin &"] = "";
	["Larana Drome"] = "Larana Drome".." <"..BabbleNPCDesc["Inscription Supplies"]..">";
	["Jessica Sellers"] = "Jessica Sellers".." <"..BabbleNPCDesc["Ink Trader"]..">";
	["Theresa Wolf"] = "Theresa Wolf".." <"..BabbleNPCDesc["Loremaster"]..">";

  --_Red
	["Sunreaver's Sanctuary"] = "The Sunreaver's Sanctuary (Horde)";

	["Horde Warbringer"] = "Horde Warbringer";
	["High Arcanist Savor"] = "High Arcanist Savor";

	["Magister Surdiel"] = "Magister Surdiel".." <"..BabbleNPCDesc["Wintergrasp Battle-Mage"]..">";
	["Eye of the Storm Portal"] = "Eye of the Storm Portal";
	["Arathi Basin Portal"] = "Arathi Basin Portal";

	["Strand of the Ancients Portal"] = "Strand of the Ancients Portal";
	["Alterac Valley Portal"] = "Alterac Valley Portal";
	["Warsong Gulch Portal"] = "Warsong Gulch Portal";

	["Magister Sarien"] = "Magister Sarien".." <"..BabbleNPCDesc["Emblem of Conquest Quartermaster"]..">";
	["Magister Sarien &"] = "";
	["Magister Brasael"] = "Magister Brasael".." <"..BabbleNPCDesc["Emblem of Valor Quartermaster"]..">";
	["Magistrix Lambriesse"] = "Magistrix Lambriesse".." <"..BabbleNPCDesc["Emblem of Heroism"]..">";
	["Magistrix Lambriesse &"] = "";

	["The Filthy Animal"] = "The Filthy Animal";
	["Uda the Beast"] = "Uda the Beast".." <"..BabbleNPCDesc["Innkeeper"]..">";
	["Kyunghee"] = "Kyunghee".." <"..BabbleNPCDesc["Throwing Axes"]..">";
	["Mato"] = "Mato".." <"..BabbleNPCDesc["Food & Drink"]..">";
	["Hamaka"] = "Hamaka".." <"..BabbleNPCDesc["Bartender"]..">";
	["Umbiwa"] = "Umbiwa".." <"..BabbleNPCDesc["Barmaid"]..">";
	["Mimbihi"] = "Mimbihi".." <"..BabbleNPCDesc["Barmaid"]..">";
	["Awilo Lon'gomba"] = "Awilo Lon'gomba".." <"..BabbleNPCDesc["Grand Master Cooking Trainer"]..">";
	["Awilo Lon'gomba &"] = "";
	["Misensi"] = "Misensi".." <"..BabbleNPCDesc["Cooking Supplies"]..">";
	["Abohba"] = "Abohba".." <"..BabbleNPCDesc["Assistant Innkeeper"]..">";


  --NPC Dalaran Sewers
  --White
	["D Sew"] = "Dalaran Sewers";

	["Entrance"] = "Entrance or Exit to the Sewers";

	["The Black Market"] = "The Black Market";
	["Hexil Garrot"] = "Hexil Garrot".." <"..BabbleNPCDesc["Tools of the Trade"]..">";
	["Pazik The Pick"] = "Pazik 'The Pick' Prylock".." <"..BabbleNPCDesc["Locksmith"]..">";
	["Scout Nisstina"] = "Scout Nisstina".." <"..BabbleNPCDesc["The Three Fingered Bandit"]..">";
	["Alchemist Cinesra"] = "Alchemist Cinesra".." <"..BabbleNPCDesc["Poison Vendor"]..">";
	["Darahir"] = "Darahir".." <"..BabbleNPCDesc["Reagents & Magical Goods"]..">";

	["Circle of Wills"] = "The Circle of Wills";
	["Blazik Fireclaw"] = "Blazik Fireclaw".." <"..BabbleNPCDesc["Water Vendor"]..">";
	["Nargle Lashcord"] = "Nargle Lashcord".." <"..BabbleNPCDesc["Veteran Arena Vendor"]..">";
	["Xazi Smolderpipe"] = "Xazi Smolderpipe".." <"..BabbleNPCDesc["Arena Vendor"]..">";
	["Zom Bocom"] = "Zom Bocom".." <"..BabbleNPCDesc["Apprentice Arena Vendor"]..">";
	["Shifty Vickers"] = "Shifty Vickers";

	["Baroness Llana"] = "'Baroness' Llana".." <"..BabbleNPCDesc["Arena Organizer"]..">";
	["Schembari Shearbolt"] = "Schembari 'Uncle Sal' Shearbolt".." <"..BabbleNPCDesc["Arena Battlemaster"]..">";
	["Schembari Shearbolt &"] = "";

	["Rickard Rustbolt"] = "'Techs' Rickard Rustbolt".." <"..BabbleNPCDesc["Arena Battlemaster"]..">";

	["Sarah Brady"] = "Sarah Brady".." <"..BabbleNPCDesc["Alcohol"]..">";
	["Minzi Minx"] = "Minzi the Minx".." <"..BabbleNPCDesc["Arena Battlemaster"]..">";

	["Nixi Fireclaw"] = "Nixi Fireclaw".." <"..BabbleNPCDesc["Water Vendor"]..">";

	["Kanika Goldwell"] = "Kanika Goldwell".." <"..BabbleNPCDesc["Arena Organizer"]..">";
	["Ramik Slamwrench"] = "Ramik Slamwrench".." <"..BabbleNPCDesc["Arena Battlemaster"]..">";

	["Danik Blackshaft"] = "'Dapper' Danik Blackshaft".." <"..BabbleNPCDesc["Arena Battlemaster"]..">";

	["Cantrips & Crows"] = "Cantrips & Crows";
	["Ajay Green"] = "Ajay Green".." <"..BabbleNPCDesc["Innkeeper"]..">";
	["Narisa Redgold"] = "Narisa Redgold".." <"..BabbleNPCDesc["Barmaid"]..">";

	["Binzik Goldbook"] = "Binzik Goldbook".." <"..BabbleNPCDesc["Banker"]..">";

	["Angelo Pescatore"] = "Angelo Pescatore".." <"..BabbleNPCDesc["Fishing Supplies"]..">";

	["Rin Duoctane"] = "Rin Duoctane";

	["Sewer Pipe"] = "Entrance or Exit that you need a flying mount";
	["Add On"] = "to use";

	["Washed-up Mage"] = "Washed-up Mage";


  --NPC Darnassus 
  --White  
	["Warrior's Terrace"] = "Warrior's Terrace";
   
	["Mydrannul"] = "Mydrannul".." <"..BabbleNPCDesc["General Goods Vendor"]..">";
	["Shylenai"] = "Shylenai".." <"..BabbleNPCDesc["Owl Trainer"]..">";
	["Fyrenna"] = "Fyrenna".." <"..BabbleNPCDesc["Food & Drink Vendor"]..">";
	["Ancient of War"] = "Ancient of War";
   
	["Sildanair"] = "Sildanair".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	["Thyn'tel"] = "Thyn'tel Bladeweaver";
   
	["Elanaria"] = "Elanaria";
	["Arias'ta"] = "Arias'ta Bladesinger".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	["Darnath"] = "Darnath Bladesinger".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	["Brogun"] = "Brogun Stoneshield".." <"..BabbleNPCDesc["Alterac Valley Battlemaster"]..">";
	["Enlae"] = "Enlae".." <"..BabbleNPCDesc["Eye of the Storm Battlemaster"]..">";
	["Aethalas"] = "Aethalas".." <"..BabbleNPCDesc["Warsong Gulch Battlemaster"]..">";
	["Fima"] = "Fima Five-Fingers".." <"..BabbleNPCDesc["Arena Battlemaster"]..">";
	["Keras"] = "Keras Wolfheart".." <"..BabbleNPCDesc["Arathi Basin Battlemaster"]..">";
	["Nivara"] = "Nivara Bladedancer".." <"..BabbleNPCDesc["Strand of the Ancients Battlemaster"]..">";
	["Nivara &"] = "";
 
	["Ariyell"] = "Ariyell Skyshadow".." <"..BabbleNPCDesc["Weapon Merchant"]..">";
	["Mathiel"] = "Mathiel";
	["Cylania"] = "Cylania".." <"..BabbleNPCDesc["Night Elf Armorer"]..">";
	["Ilyenia"] = "Ilyenia Moonfire".." <"..BabbleNPCDesc["Weapon Master"]..">";
  
  --Purp
	["Tradesmen's Terrace"] = "Tradesmen's Terrace";
   
	["General Goods & Bags"] = "General Goods & Bags";
	["Ellandrieth"] = "Ellandrieth".." <"..BabbleNPCDesc["General Goods"]..">";
	["Yldan"] = "Yldan".." <"..BabbleNPCDesc["Bag Merchant"]..">";
   
	["Weapons"] = "Weapons";
	["Glorandiir"] = "Glorandiir".." <"..BabbleNPCDesc["Axe Merchant"]..">";
	["Merelyssa"] = "Merelyssa".." <"..BabbleNPCDesc["Blade Merchant"]..">";
	["Mythidan"] = "Mythidan".." <"..BabbleNPCDesc["Mace & Staff Merchant"]..">";
	["Kieran"] = "Kieran".." <"..BabbleNPCDesc["Weapon Merchant"]..">";
   
	["Fletcher & Thrown Weapons"] = "Fletcher & Thrown Weapons";
	["Landria"] = "Landria".." <"..BabbleNPCDesc["Bow Merchant"]..">";
	["Turian"] = "Turian".." <"..BabbleNPCDesc["Thrown Weapon Merchant"]..">";
   
	["CAHW"] = "Cloth Armor & Two-handed Weapons";
	["Vinasia"] = "Vinasia".." <"..BabbleNPCDesc["Cloth Armor Merchant"]..">";
	["Ealyshia D"] = "Ealyshia Dewwhisper".." <"..BabbleNPCDesc["Two-handed Weapon Merchant"]..">";
	["Ealyshia D &"] = "";
 
	["Leather Armor"] = "Leather Armor";
	["Cyridan"] = "Cyridan".." <"..BabbleNPCDesc["Leather Armor Merchant"]..">";
   
	["Mail Armor & Shields"] = "Mail Armor & Shields";
	["Melea"] = "Melea".." <"..BabbleNPCDesc["Mail Armor Merchant"]..">";
	["Caynrus"] = "Caynrus".." <"..BabbleNPCDesc["Shield Merchant"]..">";
   
	["Jareth"] = "Jareth Wildwoods";
   
	["Treshala"] = "Treshala Fallowbrook";
   
	["Sentinel's Bunkhouse"] = "Sentinel's Bunkhouse";
   
	["Staff & Robe"] = "Staff & Robe";
	["Andrus"] = "Andrus".." <"..BabbleNPCDesc["Staff Merchant"]..">";
	["Anadyia"] = "Anadyia".." <"..BabbleNPCDesc["Robe Vendor"]..">";

	["Jaeana"] = "Jaeana".." <"..BabbleNPCDesc["Meat Vendor"]..">";
	["Jaeana&"] = "           (Does a circle around the Weapons and Fletcher buildings)";

  --Yell
	["Craftsmen's Terrace"] = "Craftsmen's Terrace";

	["Guild"] = "Guild";
	["Lysheana"] = "Lysheana".." <"..BabbleNPCDesc["Guild Master"]..">";
	["Shalumon"] = "Shalumon".." <"..BabbleNPCDesc["Tabard Vendor"]..">";
	["Ellaercia"] = "Ellaercia".." <"..BabbleNPCDesc["Guild Tabard Designer"]..">";

	["Saelienne"] = "Innkeeper Saelienne";

	["Tailoring &"] = "Tailoring & Leatherworking";
	["Me'lynn"] = "Me'lynn".." <"..BabbleNPCDesc["Tailoring Trainer"]..">";
	["Elynna"] = "Elynna".." <"..BabbleNPCDesc["Tailoring Supplies"]..">";
	["Raedon D"] = "Raedon Duskstriker".." <"..BabbleNPCDesc["Alliance Cloth Quartermaster"]..">";
	["Raedon D &"] = "";
	["Telonis"] = "Telonis".." <"..BabbleNPCDesc["Leatherworking Trainer"]..">";
	["Saenorion"] = "Saenorion".." <"..BabbleNPCDesc["Leatherworking Supplies"]..">";
	["Eladriel"] = "Eladriel".." <"..BabbleNPCDesc["Skinning Trainer"]..">";
	["Lotherias"] = "Lotherias";

	["General"] = "General Trade";
	["Mythrin'dir"] = "Mythrin'dir".." <"..BabbleNPCDesc["Trade Supplies"]..">";

	["Enchanting"] = "Enchanting & Inscriptions";
	["Taladan"] = "Taladan".." <"..BabbleNPCDesc["Enchanting Trainer"]..">";
	["Vaean"] = "Vaean".." <"..BabbleNPCDesc["Enchanting Supplies"]..">";
	["Feyden D"] = "Feyden Darkin".." <"..BabbleNPCDesc["Inscription Trainer"]..">";
	["Illianna M"] = "Illianna Moonscribe".." <"..BabbleNPCDesc["Inscription Supplies"]..">";

	["Alchemy"] = "Alchemy & Argent Dawn";
	["Ainethil"] = "Ainethil".." <"..BabbleNPCDesc["Alchemy Trainer"]..">";
	["Ulthir"] = "Ulthir".." <"..BabbleNPCDesc["Alchemy Supplies"]..">";
	["Argent Guard Manados"] = "Argent Guard Manados".." <"..BabbleNPCDesc["The Argent Dawn"]..">";
	["D Selgorm"] = "Dawnwatcher Selgorm".." <"..BabbleNPCDesc["The Argent Dawn"]..">";
	["D Shaedlass"] = "Dawnwatcher Shaedlass".." <"..BabbleNPCDesc["The Argent Dawn"]..">";

	["Cooking"] = "Cooking";
	["Alegorn"] = "Alegorn".." <"..BabbleNPCDesc["Cooking Trainer"]..">";
	["Fyldan"] = "Fyldan".." <"..BabbleNPCDesc["Cooking Supplies"]..">";

	["First Aid"] = "First Aid";
	["Dannelor"] = "Dannelor".." <"..BabbleNPCDesc["First Aid Trainer"]..">";

  --Blue
	["Cenarion Enclave"] = "Cenarion Enclave";

	["Tunnel R Trainer"] = "Tunnel to Rogue Trainer";

	["Food & Drink"] = "Food & Drink";
	["Dendrythis"] = "Dendrythis".." <"..BabbleNPCDesc["Food & Drink Vendor"]..">";

	["Rellian G"] = "Rellian GreenSpyre";

	["Mounts"] = "Mounts";
	["Jartsam"] = "Jartsam".." <"..BabbleNPCDesc["Riding Trainer"]..">";
	["Lelanai"] = "Lelanai".." <"..BabbleNPCDesc["Saber Handler"]..">";

	["Hunter"] = "Hunter Trainers";
	["Alassin"] = "Alassin".." <"..BabbleNPCDesc["Stable Master"]..">";
	["Jocaste"] = "Jocaste".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	["Corand"] = "Corand";
	["Jeen'ra N"] = "Jeen'ra Nightrunner".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	["Dorion"] = "Dorion".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	["Silvaria"] = "Silvaria".." <"..BabbleNPCDesc["Pet Trainer"]..">";

	["Druid"] = "Druid Trainers";
	["Denatharion"] = "Denatharion".." <"..BabbleNPCDesc["Druid Trainer"]..">";
	["Fylerian N"] = "Fylerian Nightwing".." <"..BabbleNPCDesc["Druid Trainer"]..">";
	["Cyroen"] = "Cyroen".." <"..BabbleNPCDesc["Reagents"]..">";
	["Mathrengyl B"] = "Mathrengyl Bearwalker".." <"..BabbleNPCDesc["Druid Trainer"]..">";
	["Fandral S"] = "Arch Druid Fandral Staghelm";

	["Poisons"] = "Poison Vendor";
	["Kyrai"] = "Kyrai".." <"..BabbleNPCDesc["Poison Supplies"]..">";
	["Faelyssa"] = "Faelyssa";

	["Rogue"] = "Rogue Trainers";
	["Syurna"] = "Syurna".." <"..BabbleNPCDesc["Rogue Trainer"]..">";
	["Anishar"] = "Anishar".." <"..BabbleNPCDesc["Rogue Trainer"]..">";
	["Erion S"] = "Erion Shadewhisper".." <"..BabbleNPCDesc["Rogue Trainer"]..">";

  --Gren
	["The Temple Gardens"] = "The Temple Gardens";

	["Portal to Rut'theran"] = "Portal to Rut'theran Village";

	["O Lunalight"] = "Officer Lunalight".." <"..BabbleNPCDesc["Darnassus Commendations"]..">";

	["Sister Aquinne"] = "Sister Aquinne".." <"..BabbleNPCDesc["Novice Priestess"]..">";

	["Fishing"] = "Fishing";
	["Astaia"] = "Astaia".." <"..BabbleNPCDesc["Fishing Trainer"]..">";
	["Voloren"] = "Voloren".." <"..BabbleNPCDesc["Fishing Supplies"]..">";
	["Talaelar"] = "Talaelar".." <"..BabbleNPCDesc["Fish Vendor"]..">";

	["Herbalism"] = "Herbalism Trainer";
	["Firodren M"] = "Firodren Mooncaller".." <"..BabbleNPCDesc["Herbalism Trainer"]..">";
	["Chardryn"] = "Chardryn".." <"..BabbleNPCDesc["Herbalism Supplies"]..">";

	["Greywhisker"] = "Chief Archaeologist Greywhisker".." <"..BabbleNPCDesc["Explorers' League"]..">";
	["Greywhisker &"] = "";

	["Alaindia"] = "Alaindia".." <"..BabbleNPCDesc["Reagents Vendor"]..">";
	["Alaindia&"] = "           (Travels between four spots and ";
	["Alaindia&1"] = "          stops for about five minutes at each spot)";

  --Cyan
	["Temple Moon"] = "The Temple of the Moon";

	["Main Floor"] = "Main Floor";
	["Jandria"] = "Jandria".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	["Lariia"] = "Lariia".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	["Elissa D"] = "Elissa Dumas".." <"..BabbleNPCDesc["Portal Trainer"]..">";
	["Dalia S"] = "Sentinel Dalia Sunblade";

	["Balconey"] = "Balconey";
	["P A'moora"] = "Priestess A'moora";

	["Gracina S"] = "Gracina Spiritmight";

	["AstariiS"] = "Astarii Starseeker".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	["PAlathea"] = "Priestess Alathea".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	["TyrandeW"] = "Tyrande Whisperwind".." <"..BabbleNPCDesc["High Priestess of Elune"]..">";
	["Valustraa"] = "Emissary Valustraa";


  --NPC Exodar
  --White
	["Outside"] = "Outside the Front Entrance";
	["Entrance Ex"] = "Entrance or Exit to the City";

	["Stephanos"] = "Stephanos".." <"..BabbleNPCDesc["Hippogryph Master"]..">";

	["Torallius"] = "Torallius the Pack Handler".." <"..BabbleNPCDesc["Elekk Breeder"]..">";
	["Aalun"] = "Aalun".." <"..BabbleNPCDesc["Riding Trainer"]..">";

  --Gren
	["Seat of the Naaru"] = "Seat of the Naaru";

	["Caregiver B"] = "Caregiver Breel".." <"..BabbleNPCDesc["Innkeeper"]..">";
	["Arthaid"] = "Arthaid".." <"..BabbleNPCDesc["Stable Master"]..">";
	["Miglik B"] = "Miglik Blotstrom".." <"..BabbleNPCDesc["Arena Battlemaster"]..">";

	["O Khaluun"] = "Officer Khaluun".." <"..BabbleNPCDesc["Exodar Commendations"]..">";

	["Mumman"] = "Mumman".." <"..BabbleNPCDesc["Cook"]..">";
	["Phea"] = "Phea".." <"..BabbleNPCDesc["Cooking Supplies"]..">";
	["CookP"] = "Cookpot";

	["Onnis"] = "Onnis".." <"..BabbleNPCDesc["General Goods Vendor"]..">";
	["Cuzi"] = "Cuzi".." <"..BabbleNPCDesc["Bag Vendor"]..">";

	["Bran'daan"] = "Herald Bran'daan";

	["Nurguni"] = "Nurguni".." <"..BabbleNPCDesc["Tradesman"]..">";

	["O'ros"] = "O'ros (Down the Ramp)";

  --Red
	["Traders Tier"] = "Traders' Tier";

	["Tailoring"] = "Tailoring";
	["Refik"] = "Refik".." <"..BabbleNPCDesc["Tailoring Trainer"]..">";
	["Neii"] = "Neii".." <"..BabbleNPCDesc["Tailoring Supplies"]..">";
	["Dugiru"] = "Dugiru".." <"..BabbleNPCDesc["Alliance Cloth Quartermaster"]..">";

	["Leatherworking and Skinning"] = "Leatherworking and Skinning";
	["Remere"] = "Remere".." <"..BabbleNPCDesc["Skinning Trainer"]..">";
	["Akham"] = "Akham".." <"..BabbleNPCDesc["Leatherworking Trainer"]..">";
	["Haferet"] = "Haferet".." <"..BabbleNPCDesc["Leatherworking Supplies"]..">";

	["Plate Armor & Shields"] = "Plate Armor & Shields";
	["Gotaan"] = "Gotaan".." <"..BabbleNPCDesc["Plate Armor Merchant"]..">";
	["Treall"] = "Treall".." <"..BabbleNPCDesc["Shield Merchant"]..">";

	["Bladed Weapons"] = "Bladed Weapons";
	["Ven"] = "Ven".." <"..BabbleNPCDesc["Blade Vendor"]..">";

	["Blunt Weapons"] = "Blunt Weapons";
	["Ellomin"] = "Ellomin".." <"..BabbleNPCDesc["Blunt Weapon Merchant"]..">";

	["Leather & Cloth Armor"] = "Leather & Cloth Armor (up stairs)";
	["Mahri"] = "Mahri".." <"..BabbleNPCDesc["Leather Armor Merchant"]..">";
	["Gornii"] = "Gornii".." <"..BabbleNPCDesc["Cloth Armor Merchant"]..">";

	["Mail Armor"] = "Mail Armor (up stairs)";
	["Yil"] = "Yil".." <"..BabbleNPCDesc["Mail Armor Merchant"]..">";

	["Mining and Smithing"] = "Mining and Smithing";
	["Muaat"] = "Muaat".." <"..BabbleNPCDesc["Mining Trainer"]..">";
	["Merran"] = "Merran".." <"..BabbleNPCDesc["Mining Supplies"]..">";
	["Miall"] = "Miall".." <"..BabbleNPCDesc["Blacksmithing Trainer"]..">";
	["Arras"] = "Arras".." <"..BabbleNPCDesc["Blacksmithing Supplies"]..">";

	["Engineering"] = "Engineering";
	["Ockil"] = "Ockil".." <"..BabbleNPCDesc["Engineering Trainer"]..">";
	["Feera"] = "Feera".." <"..BabbleNPCDesc["Engineering Supplies"]..">";

	["Hunters' Sanctum"] = "Hunters' Sanctum";
	["Deremiis"] = "Deremiis".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	["Vord"] = "Vord".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	["Killac"] = "Killac".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	["Ganaar"] = "Ganaar".." <"..BabbleNPCDesc["Pet Trainer"]..">";
	["Avelii"] = "Avelii".." <"..BabbleNPCDesc["Bowyer"]..">";
	["Muhaa"] = "Muhaa".." <"..BabbleNPCDesc["Gunsmith"]..">";

	["Ring of Arms"] = "Ring of Arms";
	["Fingin"] = "Fingin".." <"..BabbleNPCDesc["Poison Supplies"]..">";
	["Ahonan"] = "Ahonan".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	["Kazi"] = "Kazi".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	["Behomat"] = "Behomat".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	["Handiir"] = "Handiir".." <"..BabbleNPCDesc["Weapon Master"]..">";

	["Guild Master and Tabards"] = "Guild Master and Tabards";
	["Funaam"] = "Funaam".." <"..BabbleNPCDesc["Guild Master"]..">";
	["Issca"] = "Issca".." <"..BabbleNPCDesc["Tabard Vendor"]..">";

  --Purp
	["The Vault of Lights"] = "The Vault of Lights";

	["Hall of the Mystics"] = "Hall of the Mystics";
	["Bati"] = "Bati".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	["Harnan"] = "Harnan".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	["Edirah"] = "Edirah".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	["Lunaraa"] = "Lunaraa".." <"..BabbleNPCDesc["Portal Trainer"]..">";
	["Oss"] = "Oss".." <"..BabbleNPCDesc["Wand Vendor"]..">";
	["Musal"] = "Musal".." <"..BabbleNPCDesc["Alchemy Supplies & Reagents"]..">";

	["Vindicators' Sanctum"] = "Vindicators' Sanctum";
	["Kavaan"] = "Kavaan".." <"..BabbleNPCDesc["Paladin Trainer"]..">";
	["Jol"] = "Jol".." <"..BabbleNPCDesc["Paladin Trainer"]..">";
	["Baatun"] = "Baatun".." <"..BabbleNPCDesc["Paladin Trainer"]..">";

	["Alchemy and Herbalism"] = "Alchemy and Herbalism";
	["Lucc"] = "Lucc".." <"..BabbleNPCDesc["Alchemy Trainer"]..">";
	["Altaa"] = "Altaa".." <"..BabbleNPCDesc["Alchemy Supplies"]..">";
	["Cemmorhan"] = "Cemmorhan".." <"..BabbleNPCDesc["Herbalism Trainer"]..">";

	["Tolo"] = "Tolo".." <"..BabbleNPCDesc["Arathi Basin Battlemaster"]..">";

	["Mahul"] = "Mahul".." <"..BabbleNPCDesc["Alterac Valley Battlemaster"]..">";
	["Mitia"] = "Mitia".." <"..BabbleNPCDesc["Eye of the Storm Battlemaster"]..">";

	["Jihi"] = "Jihi".." <"..BabbleNPCDesc["Warsong Gulch Battlemaster"]..">";
	["Buhurda"] = "Buhurda".." <"..BabbleNPCDesc["Strand of the Ancients Battlemaster"]..">";

	["Prophet Velen"] = "Prophet Velen";

	["Anchorites' Sanctum"] = "Anchorites' Sanctum";
	["Izmir"] = "Izmir".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	["Fallat"] = "Fallat".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	["Caedmos"] = "Caedmos".." <"..BabbleNPCDesc["Priest Trainer"]..">";

  --White
	["The Crystal Hall"] = "The Crystal Hall";

  --["Enchanting"] = "Enchanting"; -- Duplicated
	["Nahogg"] = "Nahogg".." <"..BabbleNPCDesc["Echanting Trainer"]..">";
	["Egomis"] = "Egomis".." <"..BabbleNPCDesc["Echanting Supplies"]..">";
	["Thoth"] = "Thoth".." <"..BabbleNPCDesc["Inscription Trainer"]..">";
	["Sessoh"] = "Sessoh".." <"..BabbleNPCDesc["Inscription Supplies"]..">";

	["Sixx"] = "Sixx".." <"..BabbleNPCDesc["Moth Vendor (Main Floor)"]..">";

	["Gurrag"] = "Gurrag".." <"..BabbleNPCDesc["Shaman Trainer"]..">";

	["F Nobundo"] = "Farseer Nobundo".." <"..BabbleNPCDesc["Shaman Trainer"]..">";
	["F Dunaer"] = "Foreman Dunaer";
	["Valon"] = "Valon";

	["Sulaa"] = "Sulaa".." <"..BabbleNPCDesc["Shaman Trainer"]..">";

  --["Fishing"] = "Fishing";
	["Erett"] = "Erett".." <"..BabbleNPCDesc["Fishing Trainer"]..">";
	["Dekin"] = "Dekin".." <"..BabbleNPCDesc["Fishing Supplies"]..">";

	["Hobahken"] = "Hobahken".." <"..BabbleNPCDesc["Shaman Trainer"]..">";

	["Reagents"] = "Reagents";
	["Bildine"] = "Bildine".." <"..BabbleNPCDesc["Reagent Vendor"]..">";

  --["First Aid"] = "First Aid";
	["Nus"] = "Nus".." <"..BabbleNPCDesc["First Aid Trainer"]..">";

	["Jewelcrafting"] = "Jewelcrafting";
	["Farii"] = "Farii".." <"..BabbleNPCDesc["Jewelcrafting Trainer"]..">";
	["Arred"] = "Arred".." <"..BabbleNPCDesc["Jewelcrafting Supplier"]..">";
	["Padaar"] = "Padaar".." <"..BabbleNPCDesc["Apprentice Jewelcrafter"]..">";

	["Seer Skaltesh"] = "Seer Skaltesh";

  --NPC Ironforge
  --White
	["The Common"] = "The Commons";

	["Barim"] = "Barim's Reagents";
	["Barim J"] = "Barim Jurgenstaad".." <"..BabbleNPCDesc["Reagent Vendor"]..">";

	["Stonefire Tavern"] = "The Stonefire Tavern";
	["Innkeeper Firebrew"] = "Innkeeper Firebrew";
	["Gwenna F"] = "Gwenna Firebrew".." <"..BabbleNPCDesc["Barmaid"]..">";
	["Larkin T"] = "Larkin Thunderbrew".." <"..BabbleNPCDesc["Brew of the Month Club"]..">";
	["Brew Vendor"] = "Brew Vendor".." <"..BabbleNPCDesc["Brew of the Month Club"]..">";
	["Sheldonore"] = "Artilleryman Sheldonore";

	["Pella B"] = "Pella Brassbrush".." <"..BabbleNPCDesc["Barber"]..">";

	["Ironforge Armory"] = "Ironforge Armory";
	["Mangorn F"] = "Mangorn Flinthammer".." <"..BabbleNPCDesc["Heavy Armor Merchant"]..">";
	["Raena F"] = "Raena Flinthammer".." <"..BabbleNPCDesc["Light Armor Merchant"]..">";
	["Bromiir O"] = "Bromiir Ormsen".." <"..BabbleNPCDesc["Heavy Armor Merchant"]..">";

	["Dinita S"] = "Dinita Stonemantle".." <"..BabbleNPCDesc["Vault Administrator"]..">";
	["Lieutenant Rot"] = "Lieutenant Rotimer".." <"..BabbleNPCDesc["Stormpike Guard Recruitment Officer"]..">";
	["Lieutenant Rot &"] = "          (In front of the Bank)";

	["Steelfury's Weapon Emporium"] = "Steelfury's Weapon Emporium";
	["Dolman S"] = "Dolman Steelfury".." <"..BabbleNPCDesc["Weapon Merchant"]..">";
	["Grenil S"] = "Grenil Steelfury".." <"..BabbleNPCDesc["Weapon Merchant"]..">";

	["Fizzlespinner"] = "Fizzlespinner's General Goods";
	["Fillius F"] = "Fillius Fizzlespinner".." <"..BabbleNPCDesc["Trade Supplies"]..">";
	["Bryllia I"] = "Bryllia Ironbrand".." <"..BabbleNPCDesc["General Goods Vendor"]..">";

	["Marblesten"] = "Grand Mason Marblesten. Royal Stonecutters";
	["Marblesten&"] = "          Union";

	["Ironforge V C"] = "Ironforge Visitor Center";
	["Jondor S"] = "Jondor Steelbrow".." <"..BabbleNPCDesc["Guild Master"]..">";
	["Lyesa S"] = "Lyesa Steelbrow".." <"..BabbleNPCDesc["Guild Tabard Vendor"]..">";

	["Myra T"] = "Myra Tyrngaarde".." <"..BabbleNPCDesc["Bread Vendor"]..">";
	["Myra T &"] = "           (Circles in front of the Bank and Auction House)";

  --Gren
	["Mystic Ward"] = "The Mystic Ward";

	["Fighting Wizard"] = "The Fighting Wizard";
	["Bingus"] = "Bingus".." <"..BabbleNPCDesc["Weapon Merchant"]..">";
	["Harick B"] = "Harick Boulderdrum".." <"..BabbleNPCDesc["Wands Merchant"]..">";

	["Hall of Mysteries"] = "Hall of Mysteries";
	["Toldren D"] = "Toldren Deepiron".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	["Braenna F"] = "Braenna Flintcrag".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	["High Priest Rohan"] = "High Priest Rohan".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	["Theodrus F"] = "Theodrus Frostbeard".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	["Bink"] = "Bink".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	["Dink"] = "Dink".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	["Juli S"] = "Juli Stormkettle".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	["Milstaff S"] = "Milstaff Stormeye".." <"..BabbleNPCDesc["Portal Trainer"]..">";
	["Brandur I"] = "Brandur Ironhammer".." <"..BabbleNPCDesc["Paladin Trainer"]..">";
	["Beldruk D"] = "Beldruk Doombrow".." <"..BabbleNPCDesc["Paladin Trainer"]..">";
	["Muiredon B"] = "Muiredon Battleforge";
	["Valgar H"] = "Valgar Highforge".." <"..BabbleNPCDesc["Paladin Trainer"]..">";
	["Nittlebur S"] = "Nittlebur Sparkfizzle".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	["Tiza B"] = "Tiza Battleforge";

	["Mage Tymor"] = "Mage Tymor";

	["Talvash Kissel"] = "Talvash del Kissel";

	["Maeva's"] = "Maeva's Mystical Apparel";
	["Maeva"] = "Maeva Snowbraid".." <"..BabbleNPCDesc["Robe Merchant"]..">";
	["Ingrys S"] = "Ingrys Stonebrow".." <"..BabbleNPCDesc["Cloth Armor Merchant"]..">";

	["Longberry's"] = "Longberry's Reagents";
	["Ginny L"] = "Ginny Longberry".." <"..BabbleNPCDesc["Reagent Vendor"]..">";

	["Bimble L"] = "Bimble Longberry".." <"..BabbleNPCDesc["Fruit Vendor"]..">";
	["Bimble L&"] = "           (Circles around the fountain in the Mystic Ward)";

  --Blue
	["Forlorn Cavern"] = "The Forlorn Cavern";

	["Stoneblades"] = "Stoneblade's";
	["Hjoldir S"] = "Hjoldir Stoneblade".." <"..BabbleNPCDesc["Blade Merchant"]..">";
	["Binny"] = "Binny Springblade";
	["Prynne"] = "Prynne";

	["Traveling Fisherman"] = "Traveling Fisherman";
	["Grimnur S"] = "Grimnur Stonebrand".." <"..BabbleNPCDesc["Fishing Trainer"]..">";
	["Tansy P"] = "Tansy Puddlefizz".." <"..BabbleNPCDesc["Fishing Supplies"]..">";

	["Lago B"] = "Lago Blackwrench";

	["Thistleheart"] = "Thistleheart".." <"..BabbleNPCDesc["Warlock Trainer"]..">";
	["Briarthorn"] = "Briarthorn".." <"..BabbleNPCDesc["Warlock Trainer"]..">";
	["Alexander C"] = "Alexander Calder".." <"..BabbleNPCDesc["Warlock Trainer"]..">";
	["Gerrig B"] = "Gerrig Bonegrip";

	["Tynnus V"] = "Tynnus Venomsprout".." <"..BabbleNPCDesc["Shady Dealer"]..">";
	["Fenthwick"] = "Fenthwick".." <"..BabbleNPCDesc["Rogue Trainer"]..">";
	["Ormyr F"] = "Ormyr Flinteye".." <"..BabbleNPCDesc["Rogue Trainer"]..">";
	["Hulfdan B"] = "Hulfdan Blackbeard".." <"..BabbleNPCDesc["Rogue Trainer"]..">";
	["Durtham G"] = "Durtham Greldon";

	["Ransin D"] = "Ransin Donner";
	["Murky"] = "Murky";

  --Purp
	["Hall of Explorers"] = "Hall of Explorers";

	["Roetten S"] = "Roetten Stonehammer".." <"..BabbleNPCDesc["Reclaimers Inc."]..">";
	["Magellas"] = "High Explorer Magellas".." <"..BabbleNPCDesc["Explorers' League"]..">";

	["The Library"] = "The Library";
	["Thorius"] = "Curator Thorius";

	["Lyon M"] = "Lyon Mountainheart";

	["Laris G"] = "Laris Geardawdle";

	["Krom S"] = "Krom Stoutarm";
	["Prospector S"] = "Prospector Stormpike";
	["Mae P"] = "Librarian Mae Paledust".." <"..BabbleNPCDesc["Explorers' League"]..">";
	["Advisor B"] = "Advisor Belgrum";
	["Historian K"] = "Historian Karnik";

  --Cyan
	["Tinker Town"] = "Tinker Town";

	["Bubulo"] = "Bubulo".." <"..BabbleNPCDesc["Alliance Cloth Quartermaster"]..">";

	["Boom!"] = "Things that go Boom!";
	["Lomac"] = "Lomac Gearstrip";
	["Fizzlebang"] = "Fizzlebang Booms".." <"..BabbleNPCDesc["Fireworks Vendor"]..">";

	["Berryfizz's"] = "Berryfizz's Potions and Mixed Drinks";
	["Tally B"] = "Tally Berryfizz".." <"..BabbleNPCDesc["Alchemy Trainer"]..">";
	["Soolie B"] = "Soolie Berryfizz".." <"..BabbleNPCDesc["Alchemy Supplies"]..">";

	["Overspark"] = "Tinkmaster Overspark".." <"..BabbleNPCDesc["Gnome Engineering Trainer"]..">";
	["Overspark&"] = "";
	["Gnoarn"] = "Gnoarn";

	["Mekkatorque"] = "High Tinker Mekkatorque".." <"..BabbleNPCDesc["King of the Gnomes"]..">";

	["Castpipe"] = "Master Mechanic Castpipe";
	["Klockmort"] = "Klockmort Spannerspan";
	["Porterhouse"] = "Officer Porterhouse".." <"..BabbleNPCDesc["Gnomeregan Commendations"]..">";
	["Porterhouse&"] = "";

	["Springspindle's"] = "Springspindle's Gadgets";
	["Fizzlegear"] = "Springspindle Fizzlegear".." <"..BabbleNPCDesc["Engineering Trainer"]..">";
	["Cogspinner"] = "Gearcutter Cogspinner".." <"..BabbleNPCDesc["Engineering Supplies"]..">";

	["Deeprun Tram"] = "Deeprun Tram";
	["Monty"] = "Monty".." <"..BabbleNPCDesc["Rat Extermination Specialist"]..">";
	["Haggle"] = "Haggle";

  --Orng
	["The Military Ward"] = "The Military Ward";

	["Goldfury's"] = "Goldfury's Hunting Supplies";
	["BrettaG"] = "Bretta Goldfury".." <"..BabbleNPCDesc["Gun Merchant"]..">";
	["SkolminG"] = "Skolmin Goldfury".." <"..BabbleNPCDesc["Bow Merchant"]..">";

	["Bruuk's Corner"] = "Bruuk's Corner";
	["BruukB"] = "Bruuk Barleybeard".." <"..BabbleNPCDesc["Bartender"]..">";
	["TisaM"] = "Tisa Martine";
	["EdrisB"] = "Edris Barleybeard".." <"..BabbleNPCDesc["Barmaid"]..">";

	["SognarC"] = "Sognar Cliffbeard".." <"..BabbleNPCDesc["Meat Vendor"]..">";
	["SognarC&"] = "           (Does a cirlce in the Military Ward)";

	["Hall of Arms"] = "Hall of Arms";
	["RegnusT"] = "Regnus Thundergranite".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	["OlminB"] = "Olmin Burningbeard".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	["UlbrekF"] = "Ulbrek Firehand".." <"..BabbleNPCDesc["Stable Master"]..">";
	["BeliaT"] = "Belia Thundergranite".." <"..BabbleNPCDesc["Pet Trainer"]..">";
	["DemnulF"] = "Demnul Farmountain";
	["DaeraB"] = "Daera Brightspear".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	["KelvS"] = "Kelv Sternhammer".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	["MaxX"] = "Max Xim".." <"..BabbleNPCDesc["Arena Battlemaster"]..">";
	["DonalO"] = "Donal Osgood".." <"..BabbleNPCDesc["Arathi Basin Battlemaster"]..">";
	["Lylandris"] = "Lylandris".." <"..BabbleNPCDesc["Warsong Gultch Battlemaster"]..">";
	["MargaB"] = "Marga Bearbrawn".." <"..BabbleNPCDesc["Strand of the Ancients Battlemaster"]..">";
	["MargaB&"] = "";
	["GlordrumS"] = "Glordrum Steelbeard".." <"..BabbleNPCDesc["Alterac Valley Battlemaster"]..">";
	["Kandaar"] = "Kandaar".." <"..BabbleNPCDesc["Eye of the Storm Battlemaster"]..">";
	["MurenS"] = "Muren Stormpike";
	["KelstrumS"] = "Kelstrum Stonebreaker".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	["BilbanT"] = "Bilban Tosslespanner".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	["GilbartaG"] = "Gilbarta Grandhammer".." <"..BabbleNPCDesc["Battleground Enthusiast"]..">";
	["PLongbeard"] = "Pilot Longbeard".." <"..BabbleNPCDesc["Ironforge Siege Brigade"]..">";
	["XiggsF"] = "Xiggs Fuselighter";

	["Timberline Arms"] = "Timberline Arms";
	["BuliwyfS"] = "Buliwyf Stonehand".." <"..BabbleNPCDesc["Weapon Master"]..">";
	["BixiW"] = "Bixi Wobblebonk".." <"..BabbleNPCDesc["Weapon Master"]..">";
	["KelomirI"] = "Kelomir Ironhand".." <"..BabbleNPCDesc["Maces & Staves"]..">";
	["ThalgusT"] = "Thalgus Thunderfist".." <"..BabbleNPCDesc["Weapon Merchant"]..">";
	["HegnarS"] = "Hegnar Swiftaxe".." <"..BabbleNPCDesc["Axe Merchant"]..">";
	["BrenwynW"] = "Brenwyn Wintersteel".." <"..BabbleNPCDesc["Blade Merchant"]..">";

	["Craghelm's"] = "Craghelm's Plate and Chain";
	["LissyphusF"] = "Lissyphus Finespindle".." <"..BabbleNPCDesc["Light Armor Merchant"]..">";
	["DolkinC"] = "Dolkin Craghelm".." <"..BabbleNPCDesc["Mail Armor Merchant"]..">";
	["OlthranC"] = "Olthran Craghelm".." <"..BabbleNPCDesc["Heavy Armor Merchant"]..">";

	["SaraB"] = "Sara Balloo";

  --Yell
	["The Great Forge"] = "The Great Forge";

	["Ironforge Physician"] = "Ironforge Physician";
	["ReynaS"] = "Reyna Stonebranch".." <"..BabbleNPCDesc["Herbalism Trainer"]..">";
	["GwinaS"] = "Gwina Stonebranch".." <"..BabbleNPCDesc["Herbalism Supplies"]..">";
	["NissaF"] = "Nissa Firestone".." <"..BabbleNPCDesc["First Aid Trainer"]..">";

	["GrythT"] = "Gryth Thurden".." <"..BabbleNPCDesc["Gryphon Master"]..">";

	["Thistlefuzz Arcanery"] = "Thistlefuzz Arcanery";
	["EJademoon"] = "Cenarion Emissary Jademoon";
	["GimbleT"] = "Gimble Thistlefuzz".." <"..BabbleNPCDesc["Enchanting Trainer"]..">";
	["TilliT"] = "Tilli Thistlefuzz".." <"..BabbleNPCDesc["Enchanting Supplies"]..">";
	["EliseB"] = "Elise Brightletter".." <"..BabbleNPCDesc["Inscription Trainer"]..">";
	["ThargenH"] = "Thargen Heavyquill".." <"..BabbleNPCDesc["Inscription Supplies"]..">";

	["Bronze Kettle"] = "The Bronze Kettle";
	["DarylR"] = "Daryl Riknussun".." <"..BabbleNPCDesc["Cooking Trainer"]..">";
	["EmrulR"] = "Emrul Riknussun".." <"..BabbleNPCDesc["Cooking Supplies"]..">";
	["DBcook"] = "(Cooking can be done at any Dwarven Brazier";
	["DBcook&"] = "           in the city)";

	["FJavad"] = "Farseer Javad".." <"..BabbleNPCDesc["Shaman Trainer"]..">";

	["DMMG"] = "Deep Mountain Mining Guild";
	["GeoframB"] = "Geofram Bouldertoe".." <"..BabbleNPCDesc["Mining Trainer"]..">";
	["GolnirB"] = "Golnir Bouldertoe".." <"..BabbleNPCDesc["Mining Supplies"]..">";

	["Burbik's"] = "Burbik's Supplies";
	["BurbikG"] = "Burbik Gearspanner".." <"..BabbleNPCDesc["Trade Supplies"]..">";

	["Stonebrow's"] = "Stonebrow's Clothier";
	["JormundS"] = "Jormund Stonebrow".." <"..BabbleNPCDesc["Tailoring Trainer"]..">";
	["PorannaS"] = "Poranna Snowbraid".." <"..BabbleNPCDesc["Tailoring Supplies"]..">";
	["OEric"] = "Outfitter Eric".." <"..BabbleNPCDesc["Speciality Tailoring Supplies"]..">";
	["MistinaS"] = "Mistina Steelshield".." <"..BabbleNPCDesc["Alliance Cloth Quartermaster"]..">";
	["MistinaS&"] = "          (Dwarf)";

	["Finespindle's"] = "Finespindle's Leather Goods";
	["FimbleF"] = "Fimble Finespindle".." <"..BabbleNPCDesc["Leatherworking Trainer"]..">";
	["BombusF"] = "Bombus Finespindle".." <"..BabbleNPCDesc["Leatherworking Supplies"]..">";
	["BalthusS"] = "Balthus Stoneflayer".." <"..BabbleNPCDesc["Skinning Trainer"]..">";

	["OIronbeard"] = "Officer Ironbeard".." <"..BabbleNPCDesc["Ironforge Commendations"]..">";

	["Sraaz"] = "Sraaz".." <"..BabbleNPCDesc["Pie Vendor"]..">";
	["Sraaz&"] = "           (Does a circle around the Great Forge)";

	["High Seat"] = "The High Seat";
	["KingMagni"] = "King Magni Bronzebeard".." <"..BabbleNPCDesc["Lord of Ironforge"]..">";
	["SBarinR"] = "Senator Barin Redstone";
	["RHArchesonus"] = "Royal Historian Archesonus";
	["Deliana"] = "Deliana";

	["Great Forge"] = "The Great Forge";
	["GrumnusS"] = "Grumnus Steelshaper".." <"..BabbleNPCDesc["Armorsmith Trainer"]..">";
	["IronusC"] = "Ironus Coldsteel".." <"..BabbleNPCDesc["Weaponsmith Trainer"]..">";
	["ThurgrumD"] = "Thurgrum Deepforge".." <"..BabbleNPCDesc["Blacksmithing Supplies"]..">";
	["BengusD"] = "Bengus Deepforge".." <"..BabbleNPCDesc["Blacksmithing Trainer"]..">";
	["MyolorS"] = "Myolor Sunderfury";
	["BrombarH"] = "Brombar Higgleby".." <"..BabbleNPCDesc["The Keymaster"]..">";
	["TormusD"] = "Tormus Deepforge";
  
  --NPC Orgrimmar
  --White
	["Valley Strength"] = "The Valley of Strength";
  
	["FARokhs"] = "Frostwolf Ambassador Rokhstrom";

	["Gryshka"] = "Innkeeper Gryshka";
	["Morag J"] = "Barkeep Morag";
	["Kozish"] = "Kozish";
	["Sarok"] = "Sarok";
	["Doyo'da"] = "Doyo'da";
	["Zaro"] = "Zaro";
	["Goma"] = "Goma";
	["Gamon"] = "Gamon";

	["SLSA"] = "Soran's Leather & Steel Armory";
	["Sana"] = "Sana".." <"..BabbleNPCDesc["Mail Armor Merchant"]..">";
	["Morgum"] = "Morgum".." <"..BabbleNPCDesc["Leather Armor Merchant"]..">";
	["Ollanus"] = "Ollanus".." <"..BabbleNPCDesc["Light Armor Merchant"]..">";

	["BImports"] = "Boomstick Imports";
	["Kaja"] = "Kaja".." <"..BabbleNPCDesc["Guns & Ammunition Vendor"]..">";

	["SReagents"] = "Spiritfury Reagents";
	["Horthus"] = "Horthus".." <"..BabbleNPCDesc["Reagents Vendor"]..">";

	["Horde Embassy"] = "Horde Embassy";
	["Urtrun"] = "Urtrun Clanbringer".." <"..BabbleNPCDesc["Guildmaster"]..">";
	["Garyl"] = "Garyl".." <"..BabbleNPCDesc["Tabard Vendor"]..">";

	["GenStore"] = "Orgrimmar General Store";
	["Trak'gen"] = "Trak'gen".." <"..BabbleNPCDesc["General Goods Vendor"]..">";
	["Shimra"] = "Shimra".." <"..BabbleNPCDesc["Trade Supplies"]..">";

	["ShattAxe"] = "The Shattered Axe";
	["Urtharo"] = "Urtharo".." <"..BabbleNPCDesc["Weapon Merchant"]..">";

	["Chophouse"] = "The Chophouse";
	["Olvia"] = "Olvia".." <"..BabbleNPCDesc["Meat Vendor"]..">";
	["OrcCook"] = "Orc Cooker (Cooking can be done at a Mighty";
	["OrcCook&"] = "          Blaze as well)";

	["SlopeVS"] = "Slope up to Valley of Spirits";

	["Zankaja"] = "Zankaja";
	["MBlaze"] = "Mighty Blaze";

	["Skytower"] = "The Skytower";
	["Doras"] = "Doras".." <"..BabbleNPCDesc["Wind Rider Master"]..">";
	["CEhoof"] = "Cenarion Emissary Blackhoof";

	["HallLegends"] = "Hall of Legends";
	["SGZarg"] = "Stone Guard Zarg".." <"..BabbleNPCDesc["Weapons Quartermaster"]..">";
	["DorisV"] = "Doris Volanthius".." <"..BabbleNPCDesc["Veteran Armor Quartermaster"]..">";
	["BraveSton"] = "Brave Stonehide".." <"..BabbleNPCDesc["Officer Accessories Quartermaster"]..">";
	["BraveSton&"] = "";
	["Zar'shi"] = "Blood Guard Zar'shi".." <"..BabbleNPCDesc["Armor Quartermaster"]..">";
	["LadyPal"] = "Lady Palanseer".." <"..BabbleNPCDesc["Jewelcrafting Quartermaster"]..">";
	["SergThunder"] = "Sergeant Thunderhorn".." <"..BabbleNPCDesc["Apprentice Armor Quartermaster"]..">";
	["SergThunder&"] = "";
	["Bork"] = "Raider Bork".." <"..BabbleNPCDesc["Mount Quartermaster"]..">";
	["Hola'mahi"] = "First Sergeant Hola'mahi".." <"..BabbleNPCDesc["Armor Quartermaster"]..">";
	["Earthbind"] = "Chieftain Earthbind";
	["Willington"] = "Advisor Willington";
	["Teena"] = "Legionnaire Teena".." <"..BabbleNPCDesc["Armor Quartermaster"]..">";
	["CArial"] = "Councilor Arial";
	["D'Anastasis"] = "D'Anastasis";
	["Hini'wana"] = "Blood Guard Hini'wana";
	["Bek'rah"] = "Grunt Bek'rah";
	["Korf"] = "Grunt Korf";

	["SkyStaves"] = "Skyfury Staves";
	["Ukra'nor"] = "Ukra'nor".." <"..BabbleNPCDesc["Staff Merchant"]..">";

	["Keldran"] = "Keldran";

	["Xan'tish"] = "Xan'tish".." <"..BabbleNPCDesc["Snake Vendor"]..">";
	["Xan'tish&"] = "           (Travels between west entrance to the city and Valley of Spirits)";

	["Krixx"] = "Krixx".." <"..BabbleNPCDesc["Zepplin Engineer"]..">";
	["Krixx&"] = "            (Travels between the bonfire near the south city entrance and";
	["Krixx&1"] = "           Nogg's Machine Shop in The Valley of";
	["Krixx&2"] = "           Honor)";


  --Purp
	["ValleySpirits"] = "The Valley of Spirits";

	["DarkbriarL"] = "Darkbriar Lodge";
	["Uthel'nay"] = "Uthel'nay".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	["Enyo"] = "Enyo".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	["Deino"] = "Deino".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	["Pephredo"] = "Pephredo".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	["Thuul"] = "Thuul".." <"..BabbleNPCDesc["Portal Trainer"]..">";
	["Vehena"] = "Vehena".." <"..BabbleNPCDesc["Horde Cloth Quartermaster"]..">";
	["Ray'ma"] = "Ray'ma".." <"..BabbleNPCDesc["Brew of the Month Club"]..">";
	["Brew Vendor"] = "Brew Vendor".." <"..BabbleNPCDesc["Brew of the Month Club"]..">";

	["SpiLodge"] = "Spirit Lodge";
	["Ur'kyo"] = "Ur'kyo".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	["X'yera"] = "X'yera".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	["Zayus"] = "Zayus".." <"..BabbleNPCDesc["High Priest"]..">";

	["SurvivalF"] = "Survival of the Fittest";
	["Arnok"] = "Arnok".." <"..BabbleNPCDesc["First Aid Trainer"]..">";

  --Yell
	["Drag"] = "The Drag";

	["Borstan's"] = "Borstan's Firepit (upstairs)";
	["Borstan"] = "Borstan".." <"..BabbleNPCDesc["Meat Vendor"]..">";
	["Zamja"] = "Zamja".." <"..BabbleNPCDesc["Cooking Trainer"]..">";
	["Xen'to"] = "Xen'to".." <"..BabbleNPCDesc["Cooking Supplies"]..">";

	["Jo'mah"] = "Jo'mah".." <"..BabbleNPCDesc["Inscription Trainer"]..">";
	["Xantili"] = "Xantili".." <"..BabbleNPCDesc["Inscription Supplies"]..">";
	["Zilzibin"] = "Zilzibin Drumlore";
	["Sarlek"] = "Sarlek";
	["Tamaro"] = "Tamaro";

	["Arboretum"] = "Jandi's Arboretum (Upper level)";
	["Jandi"] = "Jandi".." <"..BabbleNPCDesc["Herbalism Trainer"]..">";
	["Zeal'aya"] = "Zeal'aya".." <"..BabbleNPCDesc["Herbalism Supplies"]..">";

	["Runeworks"] = "Godan's Runeworks";
	["Jhag"] = "Jhag".." <"..BabbleNPCDesc["Enchanting Trainer"]..">";
	["Slope1"] = "Slope to get up or down a level";

	["Yelmak's"] = "Yelmak's Alchemy & Potions";
	["Yelmak"] = "Yelmak".." <"..BabbleNPCDesc["Alchemy Trainer"]..">";
	["Kor'geld"] = "Kor'geld".." <"..BabbleNPCDesc["Alchemy Supplies"]..">";
	["Jes'rimon"] = "Jes'rimon";

	["Salvage"] = "Droffers & Sons Salvage";
	["Dran"] = "Dran Droffers";
	["Malton"] = "Malton Droffers";

	["KLeatherworks"] = "Kodohide Leatherworks";
	["Karolek"] = "Karolek".." <"..BabbleNPCDesc["Leatherworking Trainer"]..">";
	["Tamar"] = "Tamar".." <"..BabbleNPCDesc["Leatherworking Supplies"]..">";
	["Thuwd"] = "Thuwd".." <"..BabbleNPCDesc["Skinning Trainer"]..">";
	["Handor"] = "Handor".." <"..BabbleNPCDesc["Cloth & Leather Armor Merchant"]..">";

	["ClothG"] = "Magar's Cloth Goods";
	["Magar"] = "Magar".." <"..BabbleNPCDesc["Tailoring Trainer"]..">";
	["Borya"] = "Borya".." <"..BabbleNPCDesc["Tailoring Supplies"]..">";
	["Tor'phan"] = "Tor'phan".." <"..BabbleNPCDesc["Cloth & Leather Armor Merchant"]..">";
	["Rashona"] = "Rashona Straglash".." <"..BabbleNPCDesc["Horde Cloth Quartermaster"]..">";
	["Rashona&"] = "          (Orc)";

	["Gotri's"] = "Gotri's Travelling Gear (Main level)";
	["Malton"] = "Gotri".." <"..BabbleNPCDesc["Bag Vendor"]..">";

	["Krixx2"] = "Krixx".." <"..BabbleNPCDesc["Zepplin Engineer"]..">";
	["Felika"] = "Felika".." <"..BabbleNPCDesc["Trade Supplies"]..">";
	["Felika&"] = "           (Travels the drag from the Valley of Wisdom entrance to the";
	["Felika&1"] = "          Valley of Strength entrance)";

  --Blue
	["ValleyHonor"] = "The Valley of Honor";

	["Kiro's"] = "Kiro's Harnesses";
	["Kiro"] = "Kiro".." <"..BabbleNPCDesc["War Harness Maker"]..">";

	["OBowyer"] = "Orgrimmar Bowyer";
	["Jin'sora"] = "Jin'sora".." <"..BabbleNPCDesc["Bow Merchant"]..">";

	["HallBrave"] = "Hall of the Brave";
	["Zel'mak"] = "Zel'mak".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	["Sorek"] = "Sorek".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	["Grezz"] = "Grezz Ragefist".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	["Andrissa"] = "Andrissa Heartspear".." <"..BabbleNPCDesc["Eye of the Storm Battlemaster"]..">";
	["Andrissa&"] = "";
	["Deze"] = "Deze Snowbane".." <"..BabbleNPCDesc["Arathi Basin Battlemaster"]..">";
	["Zeggon"] = "Zeggon Botsnap".." <"..BabbleNPCDesc["Arena Battlemaster"]..">";
	["Brakgul"] = "Brakgul Deathbringer".." <"..BabbleNPCDesc["Warsong Gultch Battlemaster"]..">";
	["Brakgul&"] = "";
	["Ufuda"] = "Ufuda Giant-Slayer".." <"..BabbleNPCDesc["Strand of the Ancients Battlemaster"]..">";
	["Ufuda&"] = "";
	["Kartra"] = "Kartra Bloodsnarl".." <"..BabbleNPCDesc["Alterac Valley Battlemaster"]..">";
	["Muja"] = "Muja".." <"..BabbleNPCDesc["Battleground Enthusiast"]..">";
	["HordeWar"] = "Horde Warbringer";
	["BelgR"] = "Belgrom Rockmaul";

	["Lumak's"] = "Lumak's Fishing";
	["Lumak"] = "Lumak".." <"..BabbleNPCDesc["Fishing Trainer"]..">";
	["Shankys"] = "Shankys".." <"..BabbleNPCDesc["Fishing Supplies"]..">";
	["Zas'tysh"] = "Zas'tysh";

	["RedMining"] = "Red Canyon Mining";
	["Makaru"] = "Makaru".." <"..BabbleNPCDesc["Mining Trainer"]..">";
	["Gorina"] = "Gorina".." <"..BabbleNPCDesc["Mining Supplies"]..">";

	["Orphanage"] = "Orphanage";

	["Nogg's"] = "Nogg's Machine Shop";
	["Nogg"] = "Nogg".." <"..BabbleNPCDesc["Apprentice Engineer"]..">";
	["Roxxik"] = "Roxxik".." <"..BabbleNPCDesc["Engineering Trainer"]..">";
	["Sovik"] = "Sovik".." <"..BabbleNPCDesc["Engineering Supplies"]..">";
	["Rilli"] = "Rilli Greasygob";

	["Shayis"] = "Shayis Steelfury".." <"..BabbleNPCDesc["Armorsmith Trainer"]..">";
	["Okothos"] = "Okothos Ironrager".." <"..BabbleNPCDesc["Armorsmith"]..">";
	["Borgosh"] = "Borgosh Corebender".." <"..BabbleNPCDesc["Weaponsmith"]..">";
	["OxMO"] = "Ox".." <"..BabbleNPCDesc["The Mithril Order"]..">";
	["Aturk"] = "Aturk the Anvil";
	["OrokkO"] = "Orokk Omosh";

	["BurnAnvil"] = "The Burning Anvil";
	["Saru"] = "Saru Steelfury".." <"..BabbleNPCDesc["Blacksmithing Trainer"]..">";
	["Sumi"] = "Sumi".." <"..BabbleNPCDesc["Blacksmithing Supplies"]..">";
	["Tumi"] = "Tumi".." <"..BabbleNPCDesc["Heavy Armor Merchant"]..">";

	["ArmsLegend"] = "Arms of Legend";
	["Kelgruk"] = "Kelgruk Bloodaxe".." <"..BabbleNPCDesc["Weaponsmithing Trainer"]..">";
	["Zendo'"] = "Zendo'jian".." <"..BabbleNPCDesc["Weapon Vendor"]..">";
	["Shoma"] = "Shoma".." <"..BabbleNPCDesc["Weapon Vendor"]..">";
	["Galthuk"] = "Galthuk".." <"..BabbleNPCDesc["Two-handed Weapon Merchant"]..">";
	["Sayoc"] = "Sayoc".." <"..BabbleNPCDesc["Weapon Master"]..">";
	["Hanashi"] = "Hanashi".." <"..BabbleNPCDesc["Weapon Master"]..">";
	["Koru"] = "Koru".." <"..BabbleNPCDesc["Maces & Staves Vendor"]..">";

	["RingValor"] = "Ring of Valor";
	["Molog"] = "War-Hunter Molog".." <"..BabbleNPCDesc["Arena Battlemaster"]..">";
	["Greela"] = "Greela 'The Grunt' Crankchain".." <"..BabbleNPCDesc["Arena Organizer"]..">";
	["Greela&"] = "";

	["Ogunaro"] = "Ogunaro Wolfrunner".." <"..BabbleNPCDesc["Kennel Master"]..">";
	["Kildar"] = "Kildar".." <"..BabbleNPCDesc["Wolf Riding Instructor"]..">";
	["Xon'cha"] = "Xon'cha".." <"..BabbleNPCDesc["Stable Master"]..">";

	["HuntHall"] = "Hunter's Hall";
	["Sian'dur"] = "Sian'dur".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	["Xor'juul"] = "Xor'juul".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	["Ormak"] = "Ormak Grimshot".." <"..BabbleNPCDesc["Hunter Trainer"]..">";

  --Gren
	["CleftShad"] = "The Cleft of Shadow";

	["DarkEncl"] = "Darkfire Enclave";
	["Mirket"] = "Mirket".." <"..BabbleNPCDesc["Warlock Trainer"]..">";
	["Zevrost"] = "Zevrost".." <"..BabbleNPCDesc["Warlock Trainer"]..">";
	["Grol'dar"] = "Grol'dar".." <"..BabbleNPCDesc["Warlock Trainer"]..">";
	["Gan'rul"] = "Gan'rul Bloodeye";

	["ShadReag"] = "Shadowdeep Reagents";
	["Hagrus"] = "Hagrus".." <"..BabbleNPCDesc["Reagent Vendor"]..">";
	["Cazul"] = "Cazul";

	["ISW"] = "Ironwood Staves & Wands";
	["Muragus"] = "Muragus".." <"..BabbleNPCDesc["Staff Merchant"]..">";
	["Katis"] = "Katis".." <"..BabbleNPCDesc["Wand Merchant"]..">";

	["Neeru"] = "Neeru Fireblade";

	["RCI"] = "Ragefire Chasm Instance";

	["DEFM"] = "Dark Earth Fungus and Mushrooms";
	["Kor'jus"] = "Kor'jus".." <"..BabbleNPCDesc["Mushroom Vendor"]..">";

	["Barbershop"] = "Barbershop";
	["Berbri"] = "Berbri Coifcurl".." <"..BabbleNPCDesc["Barber"]..">";

	["SlowBlade"] = "The Slow Blade";
	["Kareth"] = "Kareth".." <"..BabbleNPCDesc["Blade Merchant"]..">";

	["ShadowBroth"] = "Shadowswift Brotherhood";
	["Gest"] = "Gest".." <"..BabbleNPCDesc["Rogue Trainer"]..">";
	["Ormok"] = "Ormok".." <"..BabbleNPCDesc["Rogue Trainer"]..">";
	["Shenthul"] = "Shenthul".." <"..BabbleNPCDesc["Rogue Trainer"]..">";
	["Zando'zan"] = "Zando'zan";
	["Therzok"] = "Therzok";

	["Rekkul's"] = "Rekkul's Poisons";
	["Rekkul"] = "Rekkul".." <"..BabbleNPCDesc["Poison Vendor"]..">";
	["Kor'ghan"] = "Kor'ghan";
  
	["Drok"] = "Craven Drok (Travels around in the ";
	["Drok&"] = "                  Cleft of Shadow)";

  --Cyan
	["ValleyWisdom"] = "The Valley of Wisdom";

	["STVIF"] = "Stranglethorn Imported Fruits";
	["Shan'ti"] = "Shan'ti".." <"..BabbleNPCDesc["Fruit Vendor"]..">";

	["ORedblade"] = "Officer Redblade".." <"..BabbleNPCDesc["Orgrimmar Commendations"]..">";

	["GromHold"] = "Grommash Hold";
	["Sian'tsu"] = "Sian'tsu".." <"..BabbleNPCDesc["Shaman Trainer"]..">";
	["Kardris"] = "Kardris Dreamseeker".." <"..BabbleNPCDesc["Shaman Trainer"]..">";
	["Sagorne"] = "Sagorne Creststrider".." <"..BabbleNPCDesc["Shaman Trainer"]..">";
	["Zor"] = "Zor Lonetree".." <"..BabbleNPCDesc["Elder Far Seer"]..">";
	["Searn"] = "Searn Firewarder";
	["Eitrigg"] = "Eitrigg";
	["Vol'jin"] = "Vol'jin";
	["Mokvar"] = "Mokvar";
	["Pyreanor"] = "Master Pyreanor".." <"..BabbleNPCDesc["Paladin Trainer"]..">";
	["Dawnsinger"] = "Ambassador Dawnsinger";
	["Thrall"] = "Thrall".." <"..BabbleNPCDesc["Warchief"]..">";

	["Asoran's"] = "Asoran's Market";
	["Asoran"] = "Asoran".." <"..BabbleNPCDesc["General Goods Vendor"]..">";
	["Magenius"] = "Magenius".." <"..BabbleNPCDesc["Reagents Vendor"]..">";

	["Vu'Shalay"] = "Officer Vu'Shalay".." <"..BabbleNPCDesc["Darkspear Commendations"]..">";

  --NPC Shattrath
  --White
	["TerLight"] = "Terrace of Light";

	["ABank"] = "Bank (Aldor Aligned)";
	["Endarin"] = "Quartermaster Endarin".." <"..BabbleNPCDesc["Aldor Quartermaster"]..">";
	["ISaalyn"] = "Inscriber Saalyn".." <"..BabbleNPCDesc["Aldor Inscriptions"]..">";
	["HaldorC"] = "Haldor the Compulsive".." <"..BabbleNPCDesc["Aldor Apothecary"]..">";

	["SBank"] = "Bank (Scryer Aligned)";
	["Enuril"] = "Quartermaster Enuril".." <"..BabbleNPCDesc["Scryer Quartermaster"]..">";
	["IVeredis"] = "Inscriber Veredis".." <"..BabbleNPCDesc["Scryer Inscriptions"]..">";
	["Xorith"] = "Arcanist Xorith".." <"..BabbleNPCDesc["Scryer Apothecary"]..">";

	["LeagArat"] = "League of Arathor Emissary (Arathi Basin)";
	["Defil"] = "Defilers Emissary (Arathi Basin)";

	["A'dal"] = "A'dal";
	["Khadgar"] = "Khadgar";
	["Almonen"] = "Grand Anchorite Almonen";
	["Tiras'alan"] = "General Tiras'alan";

	["G'eras"] = "G'eras (Heroic Mode Instance reward vendor ,";
	["G'eras&"] = "          Upper level)";
	["Almaador"] = "Almaador".." <"..BabbleNPCDesc["Sha'tari Quartermaster"]..">";
	["Nasuun"] = "Exarch Nasuun";
	["Ontuvo"] = "Ontuvo".." <"..BabbleNPCDesc["Jewelcrafting Supplies"]..">";
	["Ontuvo&"] = "           (Shattered Sun Offensive)";
	["PorQuel"] = "Portal to Quel'Danas";
	["Anwehu"] = "Anwehu".." <"..BabbleNPCDesc["Weapons and Armorsmith"]..">";
	["Anwehu&"] = "           (Heroic Mode Instance reward vendor)";
	["Mehlisah"] = "Spymistress Mehlisah Highcrown";

	["Iorioa"] = "Iorioa".." <"..BabbleNPCDesc["Portal Trainer"]..">";
	["V'eru"] = "V'eru (Upper level)";

	["WarVet"] = "Haggard War Veteran";
	["HordeWar"] = "Horde Warbringer";

	["Mordin"] = "Emissary Mordin".." <"..BabbleNPCDesc["Shattered Sun Offensive"]..">";
	["Torvos"] = "Lord Torvos".." <"..BabbleNPCDesc["Shattered Sun Offensive"]..">";

	["Nutral"] = "Nutral".." <"..BabbleNPCDesc["Flight Master"]..">";
	["Yuula"] = "Yuula".." <"..BabbleNPCDesc["Sha'tari Guard Recruitment Officer"]..">";

	["Haronem"] = "Harbinger Haronem".." <"..BabbleNPCDesc["Shattered Sun Offensive"]..">";
	["Wafflefry"] = "Whirligig Wafflefry".." <"..BabbleNPCDesc["Gnomish Inventor"]..">";

	["LiftScry"] = "Lift to Scryer's Tier";

	["LiftAR"] = "Lift to Aldor Rise";
  
	["Ezekiel"] = "Ezekiel (Travels clock-wise around The Terrace";
	["Ezekiel&"] = "         of Light)";

  --Yell
	["LowCity"] = "Lower City";

	["DLarry"] = "'Dirty' Larry".." <"..BabbleNPCDesc["Ruffian"]..">";
	["EMalone"] = "'Epic' Malone".." <"..BabbleNPCDesc["Ruffian"]..">";
	["Creepjack"] = "'Creepjack'".." <"..BabbleNPCDesc["Ruffian"]..">";

	["AldBank"] = "Lower entrance to Aldor Bank";

	["Araac"] = "Araac";

	["Karokka"] = "Karokka".." <"..BabbleNPCDesc["Poison Supplies"]..">";
	["Skreah"] = "Skreah".." <"..BabbleNPCDesc["Alchemy Supplies"]..">";
	["Lorokeem"] = "Lorokeem".." <"..BabbleNPCDesc["Master Alchemy Trainer"]..">";
	["Vekax"] = "Vekax (Travels back and forth across bridge)";

	["Lissaf"] = "Lissaf".." <"..BabbleNPCDesc["Blade Merchant"]..">";

	["RampL"] = "Ramp to Terrace of Light";
	["Rilak"] = "Rilak the Redeemed";
	["Adyria"] = "Arcanist Adyria".." <"..BabbleNPCDesc["The Scryers"]..">";
	["DGrashna"] = "Defender Grashna";

	["Oloraak"] = "Oloraak".." <"..BabbleNPCDesc["Fish Merchant"]..">";

	["ShattInf"] = "Shattrath Infirmary";
	["Sha'nir"] = "Sha'nir".." <"..BabbleNPCDesc["The Aldor"]..">";
	["Seth"] = "Seth";
	["Zahlia"] = "Zahlia";
	["Rokk"] = "The Rokk".." <"..BabbleNPCDesc["Master of Cooking"]..">";
	["Barth"] = "Barthamus";

	["ExitTF"] = "Exit to Terokkar Forest";

	["ABG"] = "Alliance Brigadier General (Alliance";
	["ABG&"] = "          Battlemasters)";
	["Vinvo"] = "Vinvo Goldgear".." <"..BabbleNPCDesc["Strand of the Ancients Battlemaster"]..">";
	["Vinvo&"] = "";
	["Haelga"] = "Haelga Slatefist".." <"..BabbleNPCDesc["Alterac Valley Battlemaster"]..">";
	["Lylandor"] = "Lylandor".." <"..BabbleNPCDesc["Warsong Gulch Battlemaster"]..">";
	["Iravar"] = "Iravar".." <"..BabbleNPCDesc["Eye of the Storm Battlemaster"]..">";
	["AEternum"] = "Adam Eternum".." <"..BabbleNPCDesc["Arathi Basin Battlemaster"]..">";

	["WorldEndT"] = "World's End Tavern";
	["Lathrai"] = "Wind Trader Lathrai";
	["Shaarubo"] = "Shaarubo".." <"..BabbleNPCDesc["Bartender"]..">";
	["Lonika"] = "Lonika Stillblade".." <"..BabbleNPCDesc["Rogue Academy Proprietor"]..">";
	["Kylene"] = "Kylene".." <"..BabbleNPCDesc["Barmaid"]..">";
	["Pilton"] = "Haris Pilton".." <"..BabbleNPCDesc["Socialite"]..">";
	["Zhareem"] = "Wind Trader Zhareem";
	["Mah'duun"] = "Nether-Stalker Mah'duun";
	["Zephyr"] = "Zephyr (Reputation Port NPC to CoT)";
	["salabim"] = "Sal'salabim";
	["Raliq"] = "Raliq the Drunk";

	["Kradu"] = "Kradu Grimblade".." <"..BabbleNPCDesc["Weaponsmith Trainer"]..">";
	["Zula"] = "Zula Slagfury".." <"..BabbleNPCDesc["Armorsmith Trainer"]..">";

	["Orph"] = "Orphanage";
	["Bartlett"] = "Nicole Bartlett".." <"..BabbleNPCDesc["Matron"]..">";

	["HWB"] = "Horde Warbringer (Horde Battlemasters)";
	["Jojindi"] = "Jojindi".." <"..BabbleNPCDesc["Strand of the Ancients Battlemaster"]..">";
	["Montok"] = "Montok Redhands".." <"..BabbleNPCDesc["Warsong Gulch Battlemaster"]..">";
	["Maka"] = "Wolf-Sister Maka".." <"..BabbleNPCDesc["Alterac Valley Battlemaster"]..">";
	["Keldor"] = "Keldor the Lost".." <"..BabbleNPCDesc["Arathi Basin Battlemaster"]..">";
	["Yula"] = "Yula the Fair".." <"..BabbleNPCDesc["Eye of the Storm Battlemaster"]..">";
	["Issca"] = "Issca".." <"..BabbleNPCDesc["Tabard Vendor"]..">";

	["Seymour"] = "Seymour".." <"..BabbleNPCDesc["Master Skinning Trainer"]..">";
	["Ernie"] = "Ernie Packwell".." <"..BabbleNPCDesc["Trade Goods"]..">";
	["Cro"] = "Cro Threadstrong".." <"..BabbleNPCDesc["Leatherworking Supplies"]..">";
	["Darmari"] = "Darmari".." <"..BabbleNPCDesc["Master Leatherworking Trainer"]..">";
	["Andrion"] = "Andrion Darkspinner".." <"..BabbleNPCDesc["Shadoweave Specialist"]..">";
	["Gidge"] = "Gidge Spellweaver".." <"..BabbleNPCDesc["Spellfire Specialist"]..">";
	["Nasmara"] = "Nasmara Moonsong".." <"..BabbleNPCDesc["Mooncloth Specialist"]..">";
	["Eiin"] = "Eiin".." <"..BabbleNPCDesc["Specialty Tailoring Supplies"]..">";
	["Griftah"] = "Griftah".." <"..BabbleNPCDesc["Amazing Amulets"]..">";
	["Viggz"] = "Viggz Shinesparked".." <"..BabbleNPCDesc["Engineering Supplies"]..">";
	["Fantei"] = "Fantei".." <"..BabbleNPCDesc["Reagent Vendor"]..">";
	["Aaron"] = "Aaron Hollman".." <"..BabbleNPCDesc["Blacksmithing Supplies"]..">";
	["MRuby"] = "Madame Ruby".." <"..BabbleNPCDesc["Enchanting Supplies"]..">";
	["Eral"] = "Eral".." <"..BabbleNPCDesc["General Goods"]..">";
	["Moser"] = "Muffin Man Moser".." <"..BabbleNPCDesc["Bread Merchant"]..">";
	["Nakodu"] = "Nakodu".." <"..BabbleNPCDesc["Lower City Quartermaster"]..">";
	["JackT"] = "Jack Trapper".." <"..BabbleNPCDesc["Cook"]..">";
	["Saltit"] = "Jim Saltit".." <"..BabbleNPCDesc["Cooking Supplies"]..">";
	["GSmith"] = "Granny Smith".." <"..BabbleNPCDesc["Fruit Seller"]..">";
	["BTurner"] = "Brendan Turner".." <"..BabbleNPCDesc["Meat Vendor"]..">";
	["Grok"] = "Grok";
	["Oven"] = "Clay Oven";
	["Tobias"] = "Tobias the Filth Gorger";
	["Gordie"] = "Gordie";

	["LowerSB"] = "Lower entrance to Scryer Bank";

	["Browning"] = "Kevin Browning".." <"..BabbleNPCDesc["Coffee Aficionado"]..">";
	["Browning&"] = "           (Travels from east exit to south east exit)";

  --Red
	["Scryer's Tier"] = "Scryer's Tier";

	["Haelthol"] = "Innkeeper Haelthol";

	["Ilthuril"] = "Ilthuril".." <"..BabbleNPCDesc["Stable Master"]..">";
	["Endernor"] = "Trader Endernor".." <"..BabbleNPCDesc["Trade Goods"]..">";
	["Lisrythe"] = "Lisrythe Bloodwatch".." <"..BabbleNPCDesc["Fence"]..">";
	["Mahir"] = "Mahir Redstroke".." <"..BabbleNPCDesc["Dagger Vendor"]..">";
	["Dathris"] = "Dathris Sunstriker";

	["Kirembri"] = "Kirembri Silvermane".." <"..BabbleNPCDesc["Master Jewelcrafting Trainer"]..">";
	["Kirembri&"] = "";
	["Hanlir"] = "Hanlir".." <"..BabbleNPCDesc["Master Mining Trainer"]..">";
	["Lanloer"] = "Scribe Lanloer".." <"..BabbleNPCDesc["Master Inscription Trainer"]..">";
	["Andiala"] = "Enchantress Andiala".." <"..BabbleNPCDesc["Master Enchanting Trainer"]..">";

	["Nalama"] = "Nalama the Merchant".." <"..BabbleNPCDesc["General Goods"]..">";
	["Urumir"] = "Urumir Stavebright".." <"..BabbleNPCDesc["Staff Vendor"]..">";

	["Falris"] = "Magister Falris";
	["Fyalenn"] = "Magistrix Fyalenn (Accepts Tokens in exchange";
	["Fyalenn&"] = "          for Scryer Reputation)";

	["SeerLib"] = "The Seer's Library";
	["Arodis"] = "Arodis Sunblade".." <"..BabbleNPCDesc["Keeper of Sha'tari Artifacts"]..">";
	["Veynna"] = "Veynna Dawnstar".." <"..BabbleNPCDesc["Keeper of Sha'tari Heirlooms"]..">";
	["Volali"] = "Enchantress Volali".." <"..BabbleNPCDesc["Enchanting Trainer"]..">";
	["Bardolan"] = "High Enchanter Bardolan".." <"..BabbleNPCDesc["Master Enchanting Trainer"]..">";
	["Bardolan&"] = "";
	["Voren"] = "Voren'thal the Seer";
	["Lisrythe"] = "Loremaster Skosiris";
	["Traini"] = "Training for all professions up to Master level";
	["Traini&"] = "          (Book stacks)";

	["Mi'irku"] = "Mi'irku Farstep".." <"..BabbleNPCDesc["Portal Trainer"]..">";
	["Mi'irku&"] = "           (Up the outside slope)";
	["Olodam"] = "Olodam Farhollow";

	["Alamaro"] = "Vinemaster Alamaro".." <"..BabbleNPCDesc["Wine Vendor"]..">";
	["Amshesha"] = "Amshesha Stilldark".." <"..BabbleNPCDesc["Reagent Vendor"]..">";
	["Yurial"] = "Yurial Soulwater".." <"..BabbleNPCDesc["Enchanting Supplies"]..">";

	["Quelama"] = "Quelama Lightblade".." <"..BabbleNPCDesc["Wand Vendor"]..">";
	["Selanam"] = "Selanam the Blade".." <"..BabbleNPCDesc["Sword Vendor"]..">";

	["Aelthin"] = "Aelthin".." <"..BabbleNPCDesc["Master Alchemy Trainer"]..">";
	["Alaenra"] = "Botanist Alaenra".." <"..BabbleNPCDesc["Master Herbalism Trainer"]..">";

	["Delvinar"] = "Archer Delvinar".." <"..BabbleNPCDesc["Specialty Ammunition"]..">";
	["Daenril"] = "Daenril".." <"..BabbleNPCDesc["Master Leatherworking Trainer"]..">";
	["Miralisse"] = "Miralisse".." <"..BabbleNPCDesc["Master Tailoring Trainer"]..">";
	["Irduil"] = "Irduil".." <"..BabbleNPCDesc["Master Skinning Trainer"]..">";
	["Barien"] = "Barien".." <"..BabbleNPCDesc["Master Blacksmithing Trainer"]..">";
	["Sinbei"] = "Engineer Sinbei".." <"..BabbleNPCDesc["Master Engineering Trainer"]..">";

  --Blue
	["ARise"] = "Aldor Rise";

	["Minalei"] = "Minalei".." <"..BabbleNPCDesc["Innkeeper"]..">";
	["Garul"] = "Garul".." <"..BabbleNPCDesc["Food and Drink Vendor"]..">";
	["Oruhe"] = "Oruhe".." <"..BabbleNPCDesc["Stable Master"]..">";

	["Nemiha"] = "Nemiha".." <"..BabbleNPCDesc["Master Jewelcrafting Trainer"]..">";
	["Fono"] = "Fono".." <"..BabbleNPCDesc["Master Mining Trainer"]..">";
	["Zurii"] = "Zurii".." <"..BabbleNPCDesc["Master Enchanting Trainer"]..">";
	["Lidio"] = "Recorder Lidio".." <"..BabbleNPCDesc["Master Inscription Trainer"]..">";

	["Caylee"] = "Caylee Dak";

	["Erothem"] = "Harbinger Erothem";
	["Adyen"] = "Adyen the Lightwarden";

	["Hamanar"] = "Hamanar".." <"..BabbleNPCDesc["Master Jewelcrafting Trainer"]..">";
	["Inessera"] = "Inessera".." <"..BabbleNPCDesc["Jewelcrafting Supplies"]..">";
	["Ahemen"] = "Ahemen".." <"..BabbleNPCDesc["Staff Vendor"]..">";

	["Dremm"] = "Dremm".." <"..BabbleNPCDesc["Master Skinning Trainer"]..">";
	["Aoa"] = "Weaver Aoa".." <"..BabbleNPCDesc["Master Tailoring Trainer"]..">";
	["Korim"] = "Korim".." <"..BabbleNPCDesc["Master Leatherworking Trainer"]..">";
	["Bova"] = "Marksman Bova".." <"..BabbleNPCDesc["Specialty Ammuntion"]..">";
	["Kanhu"] = "Alchemist Kanhu".." <"..BabbleNPCDesc["Master Alchemy Trainer"]..">";
	["Jijia"] = "Jijia".." <"..BabbleNPCDesc["Master Herbalism Trainer"]..">";
	["Onodo"] = "Onodo".." <"..BabbleNPCDesc["Master Blacksmithing Trainer"]..">";
	["Mihila"] = "Technician Mihila".." <"..BabbleNPCDesc["Master Engineering Trainer"]..">";

	["UnenLight"] = "Shrine of Unending Light";
	["Ishanah"] = "Ishanah".." <"..BabbleNPCDesc["High Priestess of the Aldor"]..">";
	["Kelara"] = "Kelara".." <"..BabbleNPCDesc["Keeper of Sha'tari Heirlooms"]..">";
	["Asuur"] = "Asuur".." <"..BabbleNPCDesc["Keeper of Sha'tari Artifacts"]..">";

	["ENagrand"] = "Exit to Nagrand";
    
  --NPC Silvermoon
  --White
	["Bazaar"] = "The Bazaar";

	["Wayfar"] = "Wayfarer's Rest";
	["Jovia"] = " Innkeeper Jovia".." <"..BabbleNPCDesc["Innkeeper"]..">";
	["Sylann"] = "Sylann".." <"..BabbleNPCDesc["Cook"]..">";
	["Quelis"] = "Quelis".." <"..BabbleNPCDesc["Cooking Supplies"]..">";

	["SFinery"] = "Silvermoon Finery";
	["Zyandrel"] = "Zyandrel".." <"..BabbleNPCDesc["Cloth Armor Merchant"]..">";
	["Andra"] = "Andra".." <"..BabbleNPCDesc["Clothier"]..">";
	["Rathin"] = "Rathin".." <"..BabbleNPCDesc["Bag Vendor"]..">";

	["Bithrus"] = "Bithrus".." <"..BabbleNPCDesc["Fireworks Vendor"]..">";

	["Keelen's"] = "Keelen's Trustworthy Tailoring";
	["SorimL"] = "Sorim Lightsong".." <"..BabbleNPCDesc["Horde Cloth Quartmaster"]..">";
	["Keelen"] = "Keelen Sheets".." <"..BabbleNPCDesc["Tailoring Trainer"]..">";
	["Deynna"] = "Deynna".." <"..BabbleNPCDesc["Tailoring Supplies"]..">";

	["Welethelon"] = "Welethelon".." <"..BabbleNPCDesc["Blunt Weapon Merchant"]..">";
	["Noraelath"] = "Noraelath".." <"..BabbleNPCDesc["Leather Armor Merchant"]..">";

	["BladesbR"] = "Blades by Rahein";
	["Rahein"] = "Rahein".." <"..BabbleNPCDesc["Blade Vendor"]..">";
	["Feledis"] = "Feledis".." <"..BabbleNPCDesc["Axe Vendor"]..">";

	["GeGoods"] = "General Goods";
	["Sathren"] = "Sathren Azuredawn".." <"..BabbleNPCDesc["General Goods"]..">";
	["Zalle"] = "Zalle".." <"..BabbleNPCDesc["Reagent Vendor"]..">";

	["SSPMP"] = "Shields of Silver/Plate and Mail Protection";
	["Winthren"] = "Winthren".." <"..BabbleNPCDesc["Shield Merchant"]..">";
	["Tynna"] = "Tynna".." <"..BabbleNPCDesc["Plate Armor Merchant"]..">";
	["Keeli"] = "Keeli".." <"..BabbleNPCDesc["Mail Armor Merchant"]..">";

	["Parnis"] = "Parnis".." <"..BabbleNPCDesc["Tradesman"]..">";

  --Purp
	["WElders"] = "Walk of Elders";

	["Harene"] = "Harene Plainwalker".." <"..BabbleNPCDesc["Druid Trainer"]..">";

	["Velaani's"] = "Velaani's Arcane Goods";
	["Velanni"] = "Velanni".." <"..BabbleNPCDesc["Alchemy Supplies & Reagents"]..">";
	["Zathanna"] = "Zathanna".." <"..BabbleNPCDesc["Wand Vendor"]..">";

	["CGate"] = "The Shepherd's Gate";

	["SilRegistry"] = "Silvermoon Registry";
	["Tandrine"] = "Tandrine".." <"..BabbleNPCDesc["Guild Master"]..">";
	["Kredis"] = "Kredis".." <"..BabbleNPCDesc["Tabard Vendor"]..">";

	["Lynalis"] = "Lynalis".." <"..BabbleNPCDesc["Leatherworking Trainer"]..">";
	["Zaralda"] = "Zaralda".." <"..BabbleNPCDesc["Leatherworking Supplies"]..">";
	["Tyn"] = "Tyn".." <"..BabbleNPCDesc["Skinning Trainer"]..">";

	["Drathen"] = "Drathen".." <"..BabbleNPCDesc["Fishing Trainer"]..">";
	["Olirea"] = "Olirea".." <"..BabbleNPCDesc["Fishing Supplies"]..">";
	["Alestus"] = "Alestus".." <"..BabbleNPCDesc["First Aid Trainer"]..">";

  --Gren
	["RoyEx"] = "The Royal Exchange";

	["SCI"] = "Silvermoon City Inn";
	["Velandra"] = "Innkeeper Velandra".." <"..BabbleNPCDesc["Innkeeper"]..">";
	["Suntouched"] = "Vinemaster Suntouched".." <"..BabbleNPCDesc["Wine & Spirits Merchant"]..">";
	["BKAdept"] = "Blood Knight Adept";
	["Stillb"] = "Blood Knight Stillblade";

	["Kalinda"] = "Kalinda".." <"..BabbleNPCDesc["Jewelcrafting Trainer"]..">";
	["Gelanthis"] = "Gelanthis".." <"..BabbleNPCDesc["Jewelcrafting Supplier"]..">";
	["Amin"] = "Amin".." <"..BabbleNPCDesc["Apprentice Jewelcrafter"]..">";

  --Red
	["FarSquare"] = "Farstrider Square";

	["Celana"] = "Celana".." <"..BabbleNPCDesc["Bowyer"]..">";
	["Matha"] = "Mathaleron".." <"..BabbleNPCDesc["Gunsmith"]..">";

	["Osselan"] = "Osselan".." <"..BabbleNPCDesc["Paladin Trainer"]..">";
	["Ithelis"] = "Ithelis".." <"..BabbleNPCDesc["Paladin Trainer"]..">";
	["CBachi"] = "Champion Bachi".." <"..BabbleNPCDesc["Paladin Trainer"]..">";
	["Bvalor"] = "Knight-Lord Bloodvalor";
	["Astalor"] = "Magister Astalor Bloodsworn (Lower Section)";
	["Solanar"] = "Lord Solanar Bloodwrath (Lower Section)";
	["Ileda"] = "Ileda".." <"..BabbleNPCDesc["Weapon Master"]..">";

	["Bipp"] = "Bipp Glizzitor".." <"..BabbleNPCDesc["Arena Battlemaster"]..">";
	["Karen"] = "Karen Wentworth".." <"..BabbleNPCDesc["Arathi Basin Battlemaster"]..">";
	["Alenjon"] = "Alenjon Sunblade".." <"..BabbleNPCDesc["Battlemaster"]..">";
	["Irissa"] = "Irissa Bloodstar".." <"..BabbleNPCDesc["Battlemaster"]..">";
	["Caradess"] = "Magistrix Caradess".." <"..BabbleNPCDesc["Wintergrasp Battle-Mage"]..">";
--	["Gurak"] = "Gurak".." <"..BabbleNPCDesc["Alterac Valley Battlemaster"]..">";
--	["Duyash"] = "Duyash the Cruel".." <"..BabbleNPCDesc["Eye of the Storm Battlemaster"]..">";
--	["Krukk"] = "Krukk".." <"..BabbleNPCDesc["Warsong Gulch Battlemaster"]..">";
--	["Mabrian"] = "Mabrian Fardawn".." <"..BabbleNPCDesc["Strand of the Ancients"]..">";
--	["Mabrian&"] = "          Battlemaster";

	["SLowerSec"] = "Stairs to Lower Section";

	["Shalenn"] = "Shalenn".." <"..BabbleNPCDesc["Stable Master"]..">";
	["Tana"] = "Tana".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	["Oninath"] = "Oninath".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	["Zandine"] = "Zandine".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	["Halthenis"] = "Halthenis".." <"..BabbleNPCDesc["Pet Trainer"]..">";

	["Zelan"] = "Zelan".." <"..BabbleNPCDesc["Mining Supplies"]..">";
	["Belil"] = "Belil".." <"..BabbleNPCDesc["Mining Trainer"]..">";
	["Bemarrin"] = "Bemarrin".." <"..BabbleNPCDesc["Blacksmithing Trainer"]..">";
	["Eriden"] = "Eriden".." <"..BabbleNPCDesc["Blacksmithing Supplies"]..">";

	["Danwe"] = "Danwe".." <"..BabbleNPCDesc["Engineering Trainer"]..">";
	["Yatheon"] = "Yatheon".." <"..BabbleNPCDesc["Engineering Supplier"]..">";
	["Gloresse"] = "Gloresse <Apprentice Engineer>";

  --Ltblu
	["MurRow"] = "Murder Row";

	["Nerisen"] = "Nerisen".." <"..BabbleNPCDesc["Rogue Trainer"]..">";
	["Elara"] = "Elara".." <"..BabbleNPCDesc["Rogue Trainer"]..">";
	["Zelanis"] = "Zelanis".." <"..BabbleNPCDesc["Rogue Trainer"]..">";
	["Darlia"] = "Darlia".." <"..BabbleNPCDesc["Poison Supplies"]..">";

	["Talionia"] = "Talionia".." <"..BabbleNPCDesc["Warlock Trainer"]..">";
	["Alamma"] = "Alamma".." <"..BabbleNPCDesc["Warlock Trainer"]..">";
	["Zanien"] = "Zanien".." <"..BabbleNPCDesc["Warlock Trainer"]..">";

  --Orng
	["CourtSun"] = "Court of the Sun";

	["Sedana"] = "Sedana".." <"..BabbleNPCDesc["Enchanting Trainer"]..">";
	["Lyna"] = "Lyna".." <"..BabbleNPCDesc["Enchanting Supplies"]..">";
	["Dolothos"] = "Dolothos <Apprentice Enchanter>";
	["Zantasia"] = "Zantasia".." <"..BabbleNPCDesc["Inscription Trainer"]..">";
	["Lelorian"] = "Lelorian".." <"..BabbleNPCDesc["Inscription Supplies"]..">";
	["Camberon"] = "Camberon".." <"..BabbleNPCDesc["Alchemy Trainer"]..">";
	["Nathera"] = "Botanist Nathera".." <"..BabbleNPCDesc["Herbalist"]..">";
	["Melaris"] = "Melaris".." <"..BabbleNPCDesc["Alchemy Supplies"]..">";
	["Razia"] = "Razia <Apprentice Alchemist>";


  --Blue
	["SunSpire"] = "Sunfury Spire";

	["OrbTrans"] = "Orb of Translocation to Undercity";

	["Lor'themar"] = "Lor'themar Theron".." <"..BabbleNPCDesc["Regent Lord of Quel'Thalas"]..">";
	["Brightwing"] = "Halduron Brightwing".." <"..BabbleNPCDesc["Ranger General"]..">";
	["Rommath"] = "Grand Magister Rommath";

	["Lotheolan"] = "Lotheolan".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	["Belestra"] = "Belestra".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	["Aldrae"] = "Aldrae".." <"..BabbleNPCDesc["Priest Trainer"]..">";

	["Zaedana"] = "Zaedana".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	["Quithas"] = "Quithas".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	["Inethven"] = "Inethven".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	["Narinth"] = "Narinth".." <"..BabbleNPCDesc["Portal Trainer"]..">";
	["Elrodan"] = "Elrodan";
	["Aurosalia"] = "Aurosalia";
  
  --NPC Stormwind
  --Ltblu

	["Barbershop"] = "Barbershop";

	["ValHer"] = "Valley of Heroes";

	["SBank"] = "Stormwind Counting House";
	["Maloof"] = "Officer Maloof".." <"..BabbleNPCDesc["Stormwind Commendations"]..">";

	["Jorgen"] = "Jorgen";
	["Umbrua"] = "Farseer Umbrua".." <"..BabbleNPCDesc["Shaman Trainer"]..">";
	["GMarcus"] = "General Marcus Jonathan";
	["FMAfras"] = "Field Marshal Afrasiabi";
	["MMattin"] = "Major Mattingly";
	["Goodman"] = "Crier Goodman (Travels throughout the city)";

  --White
	["TDistri"] = "Trade District";

	["SWVC"] = "Stormwind Visitor Center";
	["AldwinL"] = "Aldwin Laughlin".." <"..BabbleNPCDesc["Guild Master"]..">";
	["RebecL"] = "Rebecca Laughlin".." <"..BabbleNPCDesc["Tabard Designer"]..">";

	["Trias'C"] = "Trias' Cheese";
	["ElaineT"] = "Elaine Trias".." <"..BabbleNPCDesc["Mistress of Cheese"]..">";
	["BenT"] = "Ben Trias".." <"..BabbleNPCDesc["Apprentice of Cheese"]..">";
	["ETrias"] = "Elling Trias".." <"..BabbleNPCDesc["Master of Cheese"]..">";

	["Pestle's"] = "Pestle's Apothecary";
	["RenatG"] = "Renato Gallina";
	["KyraB"] = "Kyra Boucher".." <"..BabbleNPCDesc["Reagent"]..">";
	["KeldrB"] = "Keldric Boucher".." <"..BabbleNPCDesc["Alchemy Sypplies & Reagents"]..">";
	["MPestl"] = "Morgan Pestle";

	["EveryM"] = "Everyday Merchandise";
	["StephanT"] = "Stephanie Turner";
	["EdnaM"] = "Edna Mullby".." <"..BabbleNPCDesc["Trade Supplies"]..">";
	["TMull"] = "Thurman Mullby".." <"..BabbleNPCDesc["General Goods Vendor"]..">";

	["Weller's"] = "Weller's Arsenal";
	["MardaW"] = "Marda Weller".." <"..BabbleNPCDesc["Weapons Merchant"]..">";
	["GunthW"] = "Gunther Weller".." <"..BabbleNPCDesc["Weapons Merchant"]..">";
	["WooPing"] = "Woo Ping".." <"..BabbleNPCDesc["Weapon Master"]..">";

	["LionArm"] = "Lionheart Armory";
	["CarlaG"] = "Carla Granger".." <"..BabbleNPCDesc["Cloth Armor Merchant"]..">";
	["LaraM"] = "Lara Moore".." <"..BabbleNPCDesc["Leather Armor Merchant"]..">";
	["AldrM"] = "Aldric Moore".." <"..BabbleNPCDesc["Mail Armor Merchant"]..">";
	["HarlB"] = "Harlan Bagley";

	["TGRI"] = "The Gilded Rose Inn";
	["InnAl"] = "Innkeeper Allison";

	["EmpQuiv"] = "The Empty Quiver";
	["FredeS"] = "Frederick Stover".." <"..BabbleNPCDesc["Bow & Arrow Merchant"]..">";
	["LinaS"] = "Lina Stover".." <"..BabbleNPCDesc["Arrow Merchant"]..">";

	["JSharp"] = "Jelinek Sharpshear".." <"..BabbleNPCDesc["Barber"]..">";

	["DungL"] = "Dungar Longdrink".." <"..BabbleNPCDesc["Gryphon Master"]..">";

	["FragFlow"] = "Fragrant Flowers";
	["BGump"] = "Bernard Gump".." <"..BabbleNPCDesc["Florist"]..">";
	["FGump"] = "Felicia Gump".." <"..BabbleNPCDesc["Herbalism Supplies"]..">";

	["CanalTail"] = "Canal Tailor & Fit Shop";
	["LisbS"] = "Lisbeth Schneider".." <"..BabbleNPCDesc["Clothier"]..">";
	["RemaS"] = "Rema Schneider";

	["ArnoL"] = "Arnold Leland".." <"..BabbleNPCDesc["Fishing Trainer"]..">";
	["CatheL"] = "Catherine Leland".." <"..BabbleNPCDesc["Fishing Supplies"]..">";

	["GallWine"] = "Gallina Winery";
	["JuliG"] = "Julia Gallina".." <"..BabbleNPCDesc["Wine Vendor"]..">";
	["RobertP"] = "Roberto Pupellyverbos".." <"..BabbleNPCDesc["Meriot Connoisseur"]..">";
	["SuzetG"] = "Suzetta Gallina";

  --Orng
	["MageQuart"] = "The Mage Quarter";

	["Stock"] = "The Stockade";
	["WThelw"] = "Warden Thelwater";
	["Stocks"] = "The Stormwind Stockades Instance";

	["CStanf"] = "Catarina Stanford".." <"..BabbleNPCDesc["Inscription Trainer"]..">";
	["McCorm"] = "Stanly McCormick".." <"..BabbleNPCDesc["Inscription Supplies"]..">";

	["Mazen"] = "Mazen Mac'Nadir".." <"..BabbleNPCDesc["Academy of Arcane Arts and Sciences"]..">";
	["Mazen&"] = "";
	["AdairG"] = "Adair Gilroy".." <"..BabbleNPCDesc["Librarian"]..">";
	["ADellis"] = "Acolyte Dellis";

	["LucanC"] = "Lucan Cordell".." <"..BabbleNPCDesc["Enchanting Trainer"]..">";
	["JessaraC"] = "Jessara Cordell".." <"..BabbleNPCDesc["Enchanting Supplies"]..">";

	["SWStaves"] = "Stormwind Staves";
	["ArdwynC"] = "Ardwyn Cailen".." <"..BabbleNPCDesc["Wand Merchant"]..">";
	["AllanH"] = "Allan Hafgan".." <"..BabbleNPCDesc["Staves Merchant"]..">";

	["Duncan'sT"] = "Duncan's Textiles";
	["DuncanC"] = "Duncan Cullen".." <"..BabbleNPCDesc["Light Armor Merchant"]..">";
	["AlexanB"] = "Alexandra Bolero".." <"..BabbleNPCDesc["Tailoring Supplies"]..">";
	["GeorgB"] = "Georgio Bolero".." <"..BabbleNPCDesc["Tailoring Trainer"]..">";
	["Clavicus"] = "Clavicus Knavingham. Alliance Cloth Quartermaster";
	["Clavicus&"] = "";

	["AlcNee"] = "Alchemy Needs";
	["Tannysa"] = "Tannysa".." <"..BabbleNPCDesc["Herbalism Trainer"]..">";
	["Lilyss"] = "Lilyssia Nightbreeze".." <"..BabbleNPCDesc["Alchemy Trainer"]..">";
	["MariaL"] = "Maria Lumere".." <"..BabbleNPCDesc["Alchemy Supplies"]..">";
	["Eldra"] = "Eldraeith".." <"..BabbleNPCDesc["Herbalism Supplies"]..">";

	["CollinM"] = "Collin Mauren";

	["BlueRec"] = "The Blue Recluse";
	["Joachim"] = "Joachim Brenlow".." <"..BabbleNPCDesc["Bartender"]..">";
	["ConnorR"] = "Connor Rivers".." <"..BabbleNPCDesc["Apprentice Chef"]..">";
	["SLohan"] = "Steven Lohan";
	["AStern"] = "Angus Stern".." <"..BabbleNPCDesc["Head Chef"]..">";
	["CFire"] = "Cooking Fire";

	["AMalin"] = "Archmage Malin";

	["WizSan"] = "Wizard's Sanctum (Central Tower)";
	["HAndromath"] = "High Sorcerer Andromath";
	["JCannon"] = "Jennea Cannon".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	["Elsharin"] = "Elsharin".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	["MDumas"] = "Maginor Dumas".." <"..BabbleNPCDesc["Master Mage"]..">";
	["LPurdue"] = "Larimaine Purdue".." <"..BabbleNPCDesc["Portal Trainer"]..">";

	["LarsonClo"] = "Larson Clothiers";
	["WLarson"] = "Wynne Larson".." <"..BabbleNPCDesc["Robe Merchant"]..">";
	["ELarson"] = "Evan Larson".." <"..BabbleNPCDesc["Hatter"]..">";

	["EssenComp"] = "Essential Components";
	["OVaughn"] = "Owen Vaughn".." <"..BabbleNPCDesc["Reagents"]..">";

	["AncientCu"] = "Ancient Curios";
	["Yserian"] = "Charys Yserian".." <"..BabbleNPCDesc["Arcane Trinkets Vendor"]..">";

	["SlaughtLa"] = "The Slaughtered Lamb";
	["Jarel"] = "Jarel Moonr".." <"..BabbleNPCDesc["Bartender"]..">";
	["Jalane"] = "Jalane Ayrole".." <"..BabbleNPCDesc["Master Shadoweave Tailor"]..">";
	["Zardeth"] = "Zardeth of the Black Claw";
	["Sandahl"] = "Sandahl".." <"..BabbleNPCDesc["Warlock Trainer"]..">";
	["Gakin"] = "Gakin the Darkbinder";
	["Cloyce"] = "Demisette Cloyce".." <"..BabbleNPCDesc["Warlock Trainer"]..">";
	["Deline"] = "Ursula Deline".." <"..BabbleNPCDesc["Warlock Trainer"]..">";
	["Spackle"] = "Spackle Thornberry";

	["Pyrot"] = "Pyrotechnics";
	["Singh"] = "Darian Singh".." <"..BabbleNPCDesc["Fireworks Vendor"]..">";

  --Cyan
	["SWPark"] = "The Park";

	["Folsom"] = "Caretaker Folsom";

	["Sylista"] = "Sylista".." <"..BabbleNPCDesc["Stable Master"]..">";

	["SWInn"] = "Inn";

	["Shylamiir"] = "Shylamiir".." <"..BabbleNPCDesc["Herbalism Trainer"]..">";

	["Tavern"] = "Tavern";

	["ArgosN"] = "Argos Nightwhisper";
	["Sheldras"] = "Sheldras Moontree".." <"..BabbleNPCDesc["Druid Trainer"]..">";
	["Theridran"] = "Theridran".." <"..BabbleNPCDesc["Druid Trainer"]..">";
	["Maldryn"] = "Maldryn".." <"..BabbleNPCDesc["Druid Trainer"]..">";
	["NaraM"] = "Nara Meideros".." <"..BabbleNPCDesc["Priest Trainer"]..">";

	["WAP"] = "These three wander around the Park";
	["Shailiea"] = "Shailiea";
	["KimberG"] = "Kimberly Grant";
	["KellyG"] = "Kelly Grant";

  --Red
	["SWHarbor"] = "The Stormwind Harbor";

	["Thargold"] = "Thargold Ironwing";
	["Nayura"] = "Nayura".." <"..BabbleNPCDesc["Dockmaster"]..">";
	["SAuberd"] = "Ship to Auberdine";
	["Assurance"] = "The Assurance";
	["PCarver"] = "Captain Paul Carver";
	["GCPK"] = "Galley Chief Paul Kubit".." <"..BabbleNPCDesc["Food & Drink Vendor"]..">";
	["kurtisP"] = "Engineer kurtis Paddock".." <"..BabbleNPCDesc["Trade Supplies"]..">";
	["LeeshaT"] = "Leesha Tannerby".." <"..BabbleNPCDesc["Dockmaster"]..">";
	["SVali"] = "Ship to Valiance Keep";
	["StevenA"] = "Steven Allen";
	["SWlight"] = "Stormwind lighthouse";

  --Purp
	["CathSqua"] = "Cathedral Square";

	["MorrisL"] = "Morris Lawry";

	["FThread"] = "The Finest Thread";

	["JMaces"] = "Just Maces";
	["GArdus"] = "Gregory Ardus".." <"..BabbleNPCDesc["Staff & Mace Merchant"]..">";

	["RPlates"] = "Righteous Plates";
	["AgustM"] = "Agustus Moulaine".." <"..BabbleNPCDesc["Mail Armor Merchant"]..">";
	["TheresM"] = "Theresa Moulaine".." <"..BabbleNPCDesc["Robe Vendor"]..">";

	["BKrist"] = "Brother Kristoff";

	["OMNight"] = "Orphan Matron Nightingale";
	["Shel"] = "Shellene".." <"..BabbleNPCDesc["Orphan Matron"]..">";

	["CathLig"] = "Cathedral of Light";
	["BSarno"] = "Brother Sarno";
	["Rall"] = "Duthorian Rall";
	["BFarth"] = "Bishop Farthing";
	["ABBened"] = "Archbishop Benedictus";
	["Gazin"] = "Gazin Tenorm";
	["HPLaur"] = "High Priestess Laurena".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	["JoshPT"] = "Brother Joshua".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	["Benj"] = "Brother Benjamin".." <"..BabbleNPCDesc["Priest Trainer"]..">";

	["Grayson"] = "Lord Grayson Shadowbreaker".." <"..BabbleNPCDesc["Paladin Trainer"]..">";
	["KathPT"] = "Katherine the Pure".." <"..BabbleNPCDesc["Paladin Trainer"]..">";
	["ArthPT"] = "Arthur the Faithful".." <"..BabbleNPCDesc["Paladin Trainer"]..">";

	["SFull"] = "Shaina Fuller".." <"..BabbleNPCDesc["First Aid Trainer"]..">";
	["BCass"] = "Brother Cassius".." <"..BabbleNPCDesc["Reagent Vendor"]..">";

	["CathLigD"] = "Cathedral of Light (Downstairs)";
	["BAnton"] = "Brother Anton".." <"..BabbleNPCDesc["Scarlet Crusade Emissary"]..">";

	["CityHall"] = "City Hall";
	["BarosA"] = "Baros Alexston".." <"..BabbleNPCDesc["City Architect"]..">";
	["RFBathr"] = "Royal Factor Bathrilor".." <"..BabbleNPCDesc["Stormwind Census"]..">";

	["ArgentD"] = "The Argent Dawn";

	["OEmma"] = "Ol' Emma (Travels to the well in the Trade District";
	["OEmma&"] = "          and back to her house every fifteen minutes)";

  --Yell
	["DwarvDist"] = "The Dwarven District";

	["CTAlley"] = "Cut-Throat Alley";

	["GelmanS"] = "Gelman Stonehand".." <"..BabbleNPCDesc["Mining Trainer"]..">";
	["BrookeS"] = "Brooke Stonebraid".." <"..BabbleNPCDesc["Mining Supplies"]..">";

	["BorgusS"] = "Borgus Steelhand".." <"..BabbleNPCDesc["Weaponsmith Trainer"]..">";
	["KathA"] = "Kathrum Axehand".." <"..BabbleNPCDesc["Axe Merchant"]..">";
	["Grimand"] = "Grimand Elmore";

	["ThulmF"] = "Thulman Flintcrag".." <"..BabbleNPCDesc["Guns Vendor"]..">";

	["Shoni"] = "Shoni the Shilent";

	["LilliS"] = "Lilliam Sparkspindle".." <"..BabbleNPCDesc["Engineering Trainer"]..">";
	["BilliC"] = "Billibub Cogspinner".." <"..BabbleNPCDesc["Engineering Supplier"]..">";

	["EyeStorm"] = "Eye of the Storm Emissary";

	["TherumD"] = "Therum Deepforge".." <"..BabbleNPCDesc["Blacksmithing Trainer"]..">";
	["KaitaD"] = "Kaita Deepforge".." <"..BabbleNPCDesc["Blacksmithing Supplies"]..">";
	["Hank"] = "Hank the Hammer".." <"..BabbleNPCDesc["Mithril Order"]..">";
	["Furen"] = "Furen Longbeard";
	["BenikB"] = "Benik Boltshear".." <"..BabbleNPCDesc["Locksmith"]..">";

	["Jenova"] = "Jenova Stoneshield".." <"..BabbleNPCDesc["Stable Master"]..">";
	["Einris"] = "Einris Brightspear".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	["Ulfir"] = "Ulfir Ironbeard".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	["Thorfin"] = "Thorfin Stoneshield".." <"..BabbleNPCDesc["Hunter Trainer"]..">";

	["Morgg"] = "Morgg Stormshot";

	["Brohann"] = "Brohann Caskbelly".." <"..BabbleNPCDesc["Explorers' League"]..">";
	["Wilder"] = "Wilder Thistlenettle";

  --Blue
	["SWKeep"] = "Stormwind Keep";

	["PetCham"] = "Petitioner's Chamber";
	["CRRidge"] = "Count Remington Ridgewell".." <"..BabbleNPCDesc["House of Nobles"]..">";
	["LBWishock"] = "Lord Baurles K. Wishock".." <"..BabbleNPCDesc["House of Nobles"]..">";
	["Caledra"] = "Caledra Dawnbreeze";

	["Varian"] = "King Varian Wrynn".." <"..BabbleNPCDesc["King of Stormwind"]..">";
	["Anduin"] = "Anduin Wrynn".." <"..BabbleNPCDesc["Prince of Stormwind"]..">";
	["ETaluun"] = "Emissary Taluun";

	["Delavey"] = "Bishop Delavey";

	["WarRoom"] = "War Room";
	["Jes-Ter"] = "Grand Admiral Jes-Tereth";
	["MithI"] = "Mithras Ironhill";
	["Beka"] = "Beka Zipwhistle".." <"..BabbleNPCDesc["Arena Battlemaster"]..">";
	["ThelmS"] = "Thelman Slatefist".." <"..BabbleNPCDesc["Alterac Valley, Arena Battlemaster"]..">";
	["Elfarran"] = "Elfarran".." <"..BabbleNPCDesc["Warsong Gultch Battlemaster"]..">";
	["Jovil"] = "Jovil".." <"..BabbleNPCDesc["Eye of the Storm Battlemaster"]..">";
	["Hotes"] = "Lady Hoteshem".." <"..BabbleNPCDesc["Arathi Basin Battlemaster"]..">";
	["Bethany"] = "Bethany Aldire".." <"..BabbleNPCDesc["Strand of the Ancients Battlemaster"]..">";

	["MSamuel"] = "Major Samuelson".." <"..BabbleNPCDesc["Stormwind City Guard"]..">";

	["Tyrion"] = "Tyrion";
	["Alicia"] = "Alicia";

	["RoyLib"] = "Royal Library";
	["Milton"] = "Milton Sheaf".." <"..BabbleNPCDesc["Librarian"]..">";
	["Donyal"] = "Donyal Tovald".." <"..BabbleNPCDesc["Librarian"]..">";
	["GregorL"] = "Lord Gregor Lescovar";

	["RoyGal"] = "Royal Gallery";

  --Gren
	["OldTown"] = "Old Town";

	["HHW"] = "Heavy Handed Weapons";
	["GKoen"] = "Gerik Koen".." <"..BabbleNPCDesc["Two-Handed Weapon Merchant"]..">";

	["Pig&W"] = "Pig & Whistle Tavern";
	["ReeseL"] = "Reese Langston".." <"..BabbleNPCDesc["Tavernkeeper"]..">";
	["SRyback"] = "Stephen Ryback".." <"..BabbleNPCDesc["Cooking Trainer"]..">";
	["ETate"] = "Erika Tate".." <"..BabbleNPCDesc["Cooking Supplies"]..">";
	["KKabon"] = "Kendor Kabonka".." <"..BabbleNPCDesc["Master of Cooking Recipes"]..">";
	["Bartleby"] = "Bartleby".." <"..BabbleNPCDesc["Drunk"]..">";
	["DLangs"] = "David Langston";
	["Aedis"] = "Aedis Brom";
	["Faral"] = "Christoph Faral";
	["HarryB"] = "Harry Burlguard";
	["EllyLang"] = "Elly Langston".." <"..BabbleNPCDesc["Barmaid"]..">";

	["FDV"] = "The Five Deadly Venoms";
	["Lenney"] = "Lenney 'Fingers' McCoy (outside)";
	["Beasley"] = "Ol'Beasley (outside)";
	["Dashel"] = "Dashel Stonefist (outside)";
	["MilesS"] = "Miles Sidney".." <"..BabbleNPCDesc["Poison Supplies"]..">";
	["Wright"] = "Wright Williams";

	["HonestB"] = "Honest Blades";
	["Heinrich"] = "Heinrich Stone".." <"..BabbleNPCDesc["Blade Merchant"]..">";

	["Immuni"] = "Limited Immunity";
	["OStrang"] = "Osric Strang".." <"..BabbleNPCDesc["Heavy Armor Merchant"]..">";
	["WStrang"] = "Wilhelm Strang".." <"..BabbleNPCDesc["Mail Armor Merchant"]..">";

	["Osborne"] = "Osborne the Night Man".." <"..BabbleNPCDesc["Rogue Trainer"]..">";

	["CHall"] = "Champion's Hall";
	["O'Neal"] = "Captain O'Neal".." <"..BabbleNPCDesc["Jewelcrafting Quartermaster"]..">";
	["Jacksp"] = "Lieutenant Jackspring".." <"..BabbleNPCDesc["Weapons Quartermaster"]..">";
	["Biggin"] = "Master Sergeant Biggins".." <"..BabbleNPCDesc["Officer Accessories Quartermaster"]..">";
	["Biggin&"] = "";
	["Karter"] = "Lieutenant Karter".." <"..BabbleNPCDesc["Mount Vendor"]..">";
	["Tristia"] = "Lieutenant Tristia".." <"..BabbleNPCDesc["Veteran Armor Quartermaster"]..">";
	["Skyshad"] = "Sergeant Major Skyshadow";
	["Ennarth"] = "Harbinger Ennarth";
	["Gaiman"] = "Archmage Gaiman";
	["Vaccar"] = "Lieutenant Rachel Vaccar";
	["Dirgeh"] = "Captain Dirgehammer".." <"..BabbleNPCDesc["Apprentice Armor Quartermaster"]..">";
	["Dirgeh&"] = "";
	["Moonst"] = "Knight-Lieutenant Moonstrike".." <"..BabbleNPCDesc["Armor Quartermaster"]..">";
	["Moonst&"] = "";
	["Clate"] = "Sergeant Major Clate".." <"..BabbleNPCDesc["Armor Quartermaster"]..">";

	["ComCent"] = "Command Center";
	["Wood"] = "Master Wood";
	["IlsaC"] = "Ilsa Corbin".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	["WuShen"] = "Wu Shen".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	["AnderG"] = "Ander Germaine".." <"..BabbleNPCDesc["Warrior Trainer"]..">";

	["SI:7"] = "SI:7";
	["Mathias"] = "Master Mathias Shaw".." <"..BabbleNPCDesc["Leader of SI:7"]..">";
	["Renzik"] = "Renzik 'The Shiv'".." <"..BabbleNPCDesc["SI:7 Operative"]..">";
	["Sloan"] = "Sloan McCoy".." <"..BabbleNPCDesc["Poison Supplies"]..">";
	["Fel"] = "Jasper Fel".." <"..BabbleNPCDesc["Shady Dealer"]..">";
	["Romano"] = "Lord Tony Romano".." <"..BabbleNPCDesc["Rogue Trainer"]..">";
	["Mixil"] = "Doc Mixilpixil (downstairs)";

	["ProHide"] = "The Protective Hide";
	["STanner"] = "Simon Tanner".." <"..BabbleNPCDesc["Leatherworking Trainer"]..">";
	["JTanner"] = "Jillian Tanner".." <"..BabbleNPCDesc["Leatherworking Supplies"]..">";
	["Granger"] = "Maris Granger".." <"..BabbleNPCDesc["Skinning Trainer"]..">";
	["AlyssaG"] = "Alyssa Griffith".." <"..BabbleNPCDesc["Bag Vendor"]..">";
	["SeomanG"] = "Seoman Griffith".." <"..BabbleNPCDesc["Leather Armor Merchant"]..">";
	["Noah"] = "Little Noah";

	["ThanBoo"] = "Thane's Boots";
	["Mayda"] = "Mayda Thane".." <"..BabbleNPCDesc["Cobbler"]..">";

	["SilverSh"] = "The Silver Shield";
	["BCross"] = "Bryan Cross".." <"..BabbleNPCDesc["Shield Merchant"]..">";

	["JennL"] = "Jenn Langston (Does a circuit around Old Town)";
	["Nikova"] = "Nikova Raskol (Does a circuit around Old Town";
	["Nikova&"] = "          stopping at three places for a few";
	["Nikova&1"] = "          minutes each stop)";
  
  --NPC Thunder Bluff
  --White
	["LLevel"] = "The Lower Rise";

	["Pala"] = "Innkeeper Pala";
	["Bulrug"] = "Bulrug".." <"..BabbleNPCDesc["Stable Master"]..">";
	["AtHR"] = "Access to The Hunter Rise";

	["ElevM"] = "Elevator to Mulgore";

	["TBCI"] = "Thunder Bluff Civic Information";
	["Thrumn"] = "Thrumn".." <"..BabbleNPCDesc["Tabard Vendor"]..">";
	["Krumn"] = "Krumn".." <"..BabbleNPCDesc["Guild Master"]..">";
	["Scorch"] = "Scorching Fire";

	["Kuruk's"] = "Kuruk's Goods";
	["Kuruk"] = "Kuruk".." <"..BabbleNPCDesc["General Goods Vendor"]..">";
	["Pakwa"] = "Pakwa".." <"..BabbleNPCDesc["Bag Vendor"]..">";

	["TGASu"] = "Trade Goods and Supplies";
	["ShadiM"] = "Shadi Mistrunner".." <"..BabbleNPCDesc["Trade Goods Supplies"]..">";

	["Jyn"] = "Jyn Stonehoof".." <"..BabbleNPCDesc["Weapons Merchant"]..">";
	["Ansek"] = "Ansekhwa".." <"..BabbleNPCDesc["Weapon Master"]..">";

	["Hewa's"] = "Hewa's Armory";
	["Hewa"] = "Hewa".." <"..BabbleNPCDesc["Cloth Armor Merchant"]..">";
	["Elki"] = "Elki".." <"..BabbleNPCDesc["Mail Armor Merchant"]..">";
	["Ahanu"] = "Ahanu".." <"..BabbleNPCDesc["Armor Merchant"]..">";

	["Tal"] = "Tal".." <"..BabbleNPCDesc["Wind Rider Master"]..">";
	["ALLMLUL"] = "Access to The Lower Rise, The Middle Rise and";
	["ALLMLUL&"] = "          The Upper Rise";

	["derstr"] = "Officer Thunderstrider".." <"..BabbleNPCDesc["Thunder Bluff Commendations"]..">";
	["derstr&"] = "";

	["BandG"] = "Breads and Grains";
	["Fry"] = "Fry Mistrunner".." <"..BabbleNPCDesc["Bread Vendor"]..">";

	["Karn's"] = "Karn's Smithy";
	["Karn"] = "Karn Stonehoof".." <"..BabbleNPCDesc["Blacksmithing Trainer"]..">";
	["Taur"] = "Taur Stonehoof".." <"..BabbleNPCDesc["Blacksmithing Supplies"]..">";
	["Orm"] = "Orm Stonehoof";

	["Truths"] = "Sage Truthseeker";
	["AtSR"] = "Access to The Spirit Rise";

	["Geology"] = "Stonehoof Geology";
	["Brek"] = "Brek Stonehoof".." <"..BabbleNPCDesc["Mining Trainer"]..">";
	["KurmS"] = "Kurm Stonehoof".." <"..BabbleNPCDesc["Mining Supplies"]..">";

	["Eyahn"] = "Eyahn Eagletalon";
	["Auld"] = "Auld Stonespire";

	["Chepi"] = "Chepi".." <"..BabbleNPCDesc["Reagent Vendor"]..">";
	["Chepi&"] = "           (Does a circle around the Lower Rise)";
	["Windst"] = "Bluff Runner Windstrider (Travels between the";
	["Windst&"] = "          Lower Rise and the Upper Rise)";

  --Purp
	["MLevel"] = "The Middle Rise";

	["Thund"] = "Thunderhorn's Archery";
	["Kuna"] = "Kuna Thunderhorn".." <"..BabbleNPCDesc["Bowyer & Fletching Goods"]..">";

	["FaV"] = "Fruits and Vegetables";
	["Nan"] = "Nan Mistrunner".." <"..BabbleNPCDesc["Fruit Vendor"]..">";

	["Holis"] = "Holistic Herbalism";
	["Komin"] = "Komin Winterhoof".." <"..BabbleNPCDesc["Herbalism Trainer"]..">";
	["Nida"] = "Nida Winterhoof".." <"..BabbleNPCDesc["Herbalism Supplies"]..">";

	["AtER"] = "Access to The Elder Rise";

	["CloudB"] = "Cloudeweavers Baskets";
	["Tand"] = "Tand".." <"..BabbleNPCDesc["Basket Weaver"]..">";

	["Bena's"] = "Bena's Alcehcmy";
	["Bena"] = "Bena Winterhoof".." <"..BabbleNPCDesc["Alchemy Trainer"]..">";
	["Mani"] = "Mani Winterhoof".." <"..BabbleNPCDesc["Alchemy Supplies"]..">";

	["TBEnchanters"] = "Dawnstrider Enchanters";
	["Teg"] = "Teg Dawnstrider".." <"..BabbleNPCDesc["Enchanting Trainer"]..">";
	["Nata"] = "Nata Dawnstrider".." <"..BabbleNPCDesc["Enchanting Supplies"]..">";

	["TBArmorers"] = "Thunder Bluff Armorers";
	["Mooranta"] = "Mooranta".." <"..BabbleNPCDesc["Skinning Trainer"]..">";
	["Veren"] = "Veren Tallstrider";
	["Tepa"] = "Tepa".." <"..BabbleNPCDesc["Tailoring Trainer"]..">";
	["Mahu"] = "Mahu".." <"..BabbleNPCDesc["Leatherworking & Tailoring Supplies"]..">";
	["Tagain"] = "Tagain".." <"..BabbleNPCDesc["Cloth Armor Merchant"]..">";
	["Fela"] = "Fela".." <"..BabbleNPCDesc["Heavy Armor Merchant"]..">";
	["Grod"] = "Grod".." <"..BabbleNPCDesc["Leather Armor Merchant"]..">";
	["Una"] = "Una".." <"..BabbleNPCDesc["Leatherworking Trainer"]..">";
	["Rumstag"] = "Rumstag Proudstrider".." <"..BabbleNPCDesc["Horde Cloth Quartermaster"]..">";
	["Rumstag&"] = "";

  --Yell
	["ULevel"] = "The Upper Rise";

	["Rainsticks"] = "Rainsticks";
	["Sunn"] = "Sunn Ragetotem".." <"..BabbleNPCDesc["Staff Merchant"]..">";

	["KS&R"] = "Kodo Steak & Ribs";
	["Kaga"] = "Kaga Mistrunner".." <"..BabbleNPCDesc["Meat Vendor"]..">";

	["WinterT"] = "Winterhoof Totems";
	["Tah"] = "Tah Winterhoof";

	["MTB&T"] = "Mountaintop Bait & Tackle";
	["Kah"] = "Kah Mistrunner".." <"..BabbleNPCDesc["Fishing Trainer"]..">";
	["Sewa"] = "Sewa Mistrunner".." <"..BabbleNPCDesc["Fishing Supplies"]..">";

	["CairneB"] = "Cairne Bloodhoof".." <"..BabbleNPCDesc["High Chieftain"]..">";

	["Halpa"] = "Halpa".." <"..BabbleNPCDesc["Prairie Dog Vendor"]..">";

	["TBFirea"] = "Thunderbluff Firearms";
	["Hogor"] = "Hogor Thunderhoof".." <"..BabbleNPCDesc["Guns Merchant"]..">";

	["Raget"] = "Ragetotem Arms";
	["Delgo"] = "Delgo Ragetotem".." <"..BabbleNPCDesc["Axe Merchant"]..">";
	["Etu"] = "Etu Ragetotem".." <"..BabbleNPCDesc["Mace & Staff Merchant"]..">";
	["Ohanko"] = "Ohanko".." <"..BabbleNPCDesc["Two Handed Weapon Merchant"]..">";
	["Kard"] = "Kard Ragetotem".." <"..BabbleNPCDesc["Sword & Dagger Merchant"]..">";

	["Sura"] = "Sura Wildmane".." <"..BabbleNPCDesc["War Harness Vendor"]..">";

	["Aska's"] = "Aska's Kitchen";
	["Aska"] = "Aska Mistrunner".." <"..BabbleNPCDesc["Cooking Trainer"]..">";
	["Naal"] = "Naal Mistrunner".." <"..BabbleNPCDesc["Cooking Supplies"]..">";

	["Zangen"] = "Zangen Stonehoof";

  --Blue
	["HuntR"] = "The Hunter Rise";

	["HHall"] = "Hunter's Hall";
	["Urek"] = "Urek Thunderhorn".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	["Kary"] = "Kary Thunderhorn".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	["Holt"] = "Holt Thunderhorn".." <"..BabbleNPCDesc["Hunter Trainer"]..">";
	["Sark"] = "Sark Ragetotem".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	["Torm"] = "Torm Ragetotem".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	["Ker"] = "Ker Ragetotem".." <"..BabbleNPCDesc["Warrior Trainer"]..">";

	["Saern"] = "Saern Priderunner";
	["Melor"] = "Melor Stonehoof";

	["Althal"] = "Althallen Brightblade".." <"..BabbleNPCDesc["Eye of the Storm Battlemaster"]..">";
	["Martin"] = "Martin Lindsey".." <"..BabbleNPCDesc["Arathi Basin Battlemaster"]..">";
	["Fizim"] = "Fizim Blastwrench".." <"..BabbleNPCDesc["Arena Battlemaster"]..">";

	["Kergul"] = "Kergul Bloodaxe".." <"..BabbleNPCDesc["Warsong Gultch Battlemaster"]..">";
	["Ufuda"] = "Godo Cloudchewer".." <"..BabbleNPCDesc["Strand of the Ancients Battlemaster"]..">";
	["Ufuda&"] = "";
	["Taim"] = "Taim Ragetotem".." <"..BabbleNPCDesc["Alterac Valley Battlemaster"]..">";

	["Mosarn"] = "Mosarn";

	["Hesuwa"] = "Hesuwa Thunderhorn".." <"..BabbleNPCDesc["Pet Trainer"]..">";

  --Gren
	["ERise"] = "The Elder Rise";

	["HElders"] = "Hall of Elders";
	["Kym"] = "Kym Wildmane".." <"..BabbleNPCDesc["Druid Trainer"]..">";
	["Turak"] = "Turak Runetotem".." <"..BabbleNPCDesc["Druid Trainer"]..">";
	["Sheal"] = "Sheal Runetotem".." <"..BabbleNPCDesc["Druid Trainer"]..">";
	["Nara"] = "Nara Wildmane";
	["ADHamuul"] = "Arch Druid Hamuul Runetotem";

	["Bashana"] = "Bashana Runetotem";

	["Rahuro"] = "Rahuro".." <"..BabbleNPCDesc["Magatha's Servant"]..">";
	["Magatha"] = "Magatha Grimtotem".." <"..BabbleNPCDesc["Elder Crone"]..">";
	["Cor"] = "Cor Grimtotem";
	["Gorm"] = "Gorm Grimtotem";

	["ERDrums"] = "Elder Rise Drums";
	["Sheza"] = "Sheza Wildmane";

	["Ghede"] = "Ghede";

  --Orng
	["SRise"] = "The Spirit Rise";

	["HallofS"] = "Hall of Spirits";
	["Beram"] = "Beram Skychaser".." <"..BabbleNPCDesc["Shaman Trainer"]..">";
	["Siln"] = "Siln Skychaser".." <"..BabbleNPCDesc["Shaman Trainer"]..">";
	["Tigor"] = "Tigor Skychaser".." <"..BabbleNPCDesc["Shaman Trainer"]..">";
	["Xanis"] = "Xanis Flameweaver";

	["SHealing"] = "Spiritual Healing";
	["Pand"] = "Pand Stonebinder".." <"..BabbleNPCDesc["First Aid Trainer"]..">";

	["Pawe"] = "Pawe Mistrunner";

	["PVision"] = "Pools of Vision";
	["Clarice"] = "Clarice Foster";
	["Poshken"] = "Poshken Hardbinder".." <"..BabbleNPCDesc["Inscription Trainer"]..">";
	["Mertle"] = "Mertle Murkpen".." <"..BabbleNPCDesc["Inscription Supplies"]..">";
	["Malakai"] = "Malakai Cross".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	["Zamah"] = "Apothecary Zamah".." <"..BabbleNPCDesc["Royal Apothecary Society"]..">";
	["Cranst"] = "Birgitte Cranston".." <"..BabbleNPCDesc["Portal Trainer"]..">";
	["Shymm"] = "Archmage Shymm".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	["Welsh"] = "Miles Welsh".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	["Ursyn"] = "Ursyn Ghull".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	["FCobb"] = "Father Cobb".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	["Xane"] = "Thurston Xane".." <"..BabbleNPCDesc["Mage Trainer"]..">";
  
  --NPC Undercity
  --White
	["TraQuart"] = "The Trade Quarter";

	["Aucti"] = " Auctioneer (Just outside of the Trade Quarter";
	["Aucti&"] = "           in the Canals)";

	["ERusk"] = "Eleanor Rusk".." <"..BabbleNPCDesc["General Goods Vendor"]..">";
	["GenGoods"] = " General Goods";

	["FDoan"] = "Felicia Doan".." <"..BabbleNPCDesc["Trade Supplies"]..">";
	["GCallow"] = "Genavie Callow";

	["BHandler"] = "Bat Handler";
	["MGarrett"] = "Michael Garrett".." <"..BabbleNPCDesc["Bat Handler"]..">";
	["PGarrett"] = "Patrick Garrett";

	["OGothena"] = "Officer Gothena".." <"..BabbleNPCDesc["Undercity Commendations"]..">";

	["UWeapons"] = "Weapons";
	["GWendham"] = "Gordon Wendham".." <"..BabbleNPCDesc["Weapons Merchant"]..">";
	["LWarren"] = "Louis Warren".." <"..BabbleNPCDesc["Weapons Merchant"]..">";

	["UHArmor"] = "Heavy Armor";
	["TWeldon"] = "Timothy Weldon".." <"..BabbleNPCDesc["Heavy Armor Merchant"]..">";
	["WElling"] = "Walter Ellingson".." <"..BabbleNPCDesc["Heavy Armor Merchant"]..">";

	["ULArmor"] = "Light Armor";
	["LNewcomb"] = "Lauren Newcomb".." <"..BabbleNPCDesc["Light Armor Merchant"]..">";
	["DBartlett"] = "Daniel Bartlett".." <"..BabbleNPCDesc["Trade Supplies"]..">";

	["AMaulray"] = "Anya Maulray".." <"..BabbleNPCDesc["Stable Master"]..">";
	["INorman"] = "Innkeeper Norman";

	["MReagents"] = "Mordan's Reagents";
	["Mordan"] = "Mordan".." <"..BabbleNPCDesc["Reagent Vendor"]..">";

	["NaznikS"] = "Naznik Sureshave".." <"..BabbleNPCDesc["Barber"]..">";
	["ECairn"] = "Edward Cairn".." <"..BabbleNPCDesc["Elder"]..">";

	["GuildCT"] = "Guild Creation/Tabards";
	["ROBauhaus"] = "Royal Overseer Bauhaus".." <"..BabbleNPCDesc["Undercity  Census"]..">";
	["EReming"] = "Edward Remington".." <"..BabbleNPCDesc["Guild Tabard Designer"]..">";
	["CDrakul"] = "Christopher Drakul".." <"..BabbleNPCDesc["Guild Master"]..">";
	["MPleas"] = "Merill Pleasance".." <"..BabbleNPCDesc["Tabard Vendor"]..">";

	["UCook"] = "Cooking";
	["EBurch"] = "Eunice Burch".." <"..BabbleNPCDesc["Cooking Trainer"]..">";
	["RBurch"] = "Ronald Burch".." <"..BabbleNPCDesc["Cooking Supplies"]..">";
	["RAndrean"] = "Raleigh Andrean".." <"..BabbleNPCDesc["Ex-Chef"]..">";

	["TawnyG"] = "Tawny Grisette".." <"..BabbleNPCDesc["Mushroom Vendor"]..">";
	["TawnyG&"] = "           (Does acircle on the upper area of ";
	["TawnyG&1"] = "          the Trade Quarter)";

	["JPayson"] = "Jeremiah Payson".." <"..BabbleNPCDesc["Cockroach Vendor"]..">";

	["Balth"] = "Harbinger Balthazad (Does a circuit in the";
	["Balth&"] = "          Trade Quarter and in the Canals just";
	["Balth&1"] = "          outside the Trade Quarter)";

  --Purp
	["Apothe"] = "The Apothecarium";

	["dugur"] = "Keeper Bel'dugur";

	["UHerba"] = "Herbalist";
	["MAllie"] = "Martha Alliestar".." <"..BabbleNPCDesc["Herbalism Trainer"]..">";
	["KAllie"] = "Katrina Alliestar".." <"..BabbleNPCDesc["Herbalism Supplies"]..">";

	["ALuca"] = "Alessandro Luca".." <"..BabbleNPCDesc["Blue Moon Odds and Ends"]..">";

	["UEnchant"] = "Enchantment";
	["LCrowe"] = "Lavinia Crowe".." <"..BabbleNPCDesc["Enchanting Trainer"]..">";
	["TWebb"] = "Thaddeus Webb".." <"..BabbleNPCDesc["Enchanting Supplies"]..">";

	["Parq"] = "Parqual Fintallas";

	["AGant"] = "Andron Gant";

	["Alchemist"] = "Alchemist";
	["Algernon"] = "Algernon".." <"..BabbleNPCDesc["Alchemy Supplies"]..">";
	["DMarsh"] = "Doctor Marsh".." <"..BabbleNPCDesc["Apprentice Alchemist"]..">";

	["DMFelben"] = "Doctor Martin Felben".." <"..BabbleNPCDesc["Apprentice Alchemist"]..">";
	["MAFaranell"] = "Master Apothecary Faranell".." <"..BabbleNPCDesc["Royal Apothecary Society"]..">";
	["MAFaranell&"] = "";
	["DHHalsey"] = "Doctor Herbert Halsey".." <"..BabbleNPCDesc["Alchemy Trainer"]..">";
	["Fuely"] = "Chemist Fuely";
	["Cuely"] = "Chemist Cuely";
	["TheodG"] = "Theodore Griffs";
	["Zinge"] = "Apothecary Zinge";
	["AKeev"] = "Apothecary Keever".." <"..BabbleNPCDesc["Royal Apothecary Society"]..">";

  --Blue
	["WarQuart"] = "The War Quarter";

	["GerardA"] = "Gerard Abernathy";
	["LeonaT"] = "Leona Tharpe";
	["JoannW"] = "Joanna Whitehall";

	["UBowM"] = "Bow Merchant";
	["AbigS"] = "Abigail Sawyer".." <"..BabbleNPCDesc["Bow Merchant"]..">";

	["UMining"] = "Mining";
	["BromK"] = "Brom Killian".." <"..BabbleNPCDesc["Mining Trainer"]..">";
	["SarahK"] = "Sarah Killan".." <"..BabbleNPCDesc["Mining Supplies"]..">";

	["UWeapM"] = "Weapons Merchants";
	["Abald"] = "Archibald".." <"..BabbleNPCDesc["Weapon Master"]..">";
	["GeoffH"] = "Geoffrey Hartwell".." <"..BabbleNPCDesc["Weapon Merchant"]..">";
	["BeniF"] = "Benijah Fenner".." <"..BabbleNPCDesc["Weapon Merchant"]..">";
	["FranE"] = "Francis Eliot".." <"..BabbleNPCDesc["Weapon Merchant"]..">";

	["UBlacks"] = "Blacksmith";
	["JVBrunt"] = "James Van Brunt".." <"..BabbleNPCDesc["Blacksmithing Trainer"]..">";
	["SVBrunt"] = "Samuel Van Brunt".." <"..BabbleNPCDesc["Blacksmithing Supplies"]..">";
	["MTrem"] = "Mirelle Tremayne".." <"..BabbleNPCDesc["Heavy Armor Merchant"]..">";

	["UGunsm"] = "Gunsmith";
	["NAtwood"] = "Nicholas Atwood".." <"..BabbleNPCDesc["Gun Merchant"]..">";

	["HAtwood"] = "Helena Atwood";

	["SHouser"] = "Sergeant Houser";
	["SRutger"] = "Sergeant Rutger";

	["FLanke"] = "Father Lankester".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	["FLaza"] = "Father Lazarus".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	["UAelth"] = "Aelthalyste".." <"..BabbleNPCDesc["Priest Trainer"]..">";
	["BFowl"] = "Baltus Fowler".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	["ACurt"] = "Angela Curthas".." <"..BabbleNPCDesc["Warrior Trainer"]..">";
	["ChristW"] = "Christopher Walker".." <"..BabbleNPCDesc["Warrior Trainer"]..">";

  --Gren
	["MagQuart"] = "The Magic Quarter";

	["UStaff"] = "Staff Merchant";
	["SUpton"] = "Sydney Upton".." <"..BabbleNPCDesc["Staff Merchant"]..">";
	["ZaneB"] = "Zane Bradford".." <"..BabbleNPCDesc["Wand Vendor"]..">";

	["UTailor"] = "Tailor";
	["RalsF"] = "Ralston Farnsley".." <"..BabbleNPCDesc["Horde Cloth Quartermaster"]..">"; 
	["SVCroy"] = "Sheldon Von Croy".." <"..BabbleNPCDesc["Cloth Armor Merchant"]..">";
	["Josef"] = "Josef Gregorian".." <"..BabbleNPCDesc["Tailoring Trainer"]..">";
	["Millie"] = "Millie Gregorian".." <"..BabbleNPCDesc["Tailoring Supplies"]..">";
	["LuciC"] = "Lucille Castleton".." <"..BabbleNPCDesc["Robe Vendor"]..">";

	["OranS"] = "Oran Snakewrithe";
	["SamaS"] = "Samatha Shackleton";
	["AndrB"] = "Andrew Brownell";

	["UCarto"] = "Cartography";
	["JorahA"] = "Jorah Annison";

	["UBook"] = "Book Dealer";
	["SalazB"] = "Salazar Bloch".." <"..BabbleNPCDesc["Book Dealer"]..">";

	["UReag"] = "Reagent Vendor";
	["HannA"] = "Hannah Akeley".." <"..BabbleNPCDesc["Reagent Supplies"]..">";

	["URelic"] = "Relic Vendor";
	["SilasZ"] = "Silas Zimmer";

	["JList"] = "Josephine Lister".." <"..BabbleNPCDesc["Master Shadoweave Tailor"]..">";

	["CHalg"] = "Carendin Halgar";

	["UpLevel"] = "Upper Level";
	["LMort"] = "Lexington Mortaim".." <"..BabbleNPCDesc["Portal Trainer"]..">";
	["BIces"] = "Bethor Iceshard";

	["RKerw"] = "Richard Kerwin".." <"..BabbleNPCDesc["Warlock Trainer"]..">";

	["AHart"] = "Anastasia Hartwell".." <"..BabbleNPCDesc["Mage Trainer"]..">";

	["LoLevel"] = "Lower Level";
	["LPick"] = "Luther Pickman".." <"..BabbleNPCDesc["Warlock Trainer"]..">";
	["KaalS"] = "Kaal Soulreaper".." <"..BabbleNPCDesc["Warlock Trainer"]..">";
	["KaelyH"] = "Kaelystia Hatebringer".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	["PiercS"] = "Pierce Shackleton".." <"..BabbleNPCDesc["Mage Trainer"]..">";
	["MartS"] = "Martha Strain";
	["GodrF"] = "Godrick Farsan";

	["ArmaC"] = "Armand Cromwell".." <"..BabbleNPCDesc["Fishing Trainer"]..">";
	["LizbC"] = "Lizbeth Cromwell".." <"..BabbleNPCDesc["Fishing Supplies"]..">";

  --Orng
	["RogQuart"] = "The Rogues' Quarter";

	["UDag"] = "Daggers";
	["CSeat"] = "Charles Seaton".." <"..BabbleNPCDesc["Blade Merchant"]..">";
	["NStee"] = "Nathaniel Steenwick".." <"..BabbleNPCDesc["Thrown Weapon Merchant"]..">";

	["UPois"] = "Poison";
	["EGrav"] = "Ezekiel Graves".." <"..BabbleNPCDesc["Poison Vendor"]..">";

	["MEdra"] = "Mary Edras".." <"..BabbleNPCDesc["First Aid Trainer"]..">";

	["ULeat"] = "Leather Work";
	["ArthM"] = "Arthur Moore".." <"..BabbleNPCDesc["Leatherworking Trainer"]..">";
	["JoseM"] = "Joseph Moore".." <"..BabbleNPCDesc["Leatherworking Supplies"]..">";
	["GillM"] = "Gillian Moore".." <"..BabbleNPCDesc["Leather Armor Merchant"]..">";
	["KillH"] = "Killian Hagey".." <"..BabbleNPCDesc["Skinning Trainer"]..">";

	["UBag"] = "Bag Vendor";
	["JonaC"] = "Jonathan Chambers".." <"..BabbleNPCDesc["Bag Vendor"]..">";

	["UEngin"] = "Engineering";
	["FrankL"] = "Franklin Lloyd".." <"..BabbleNPCDesc["Engineering Trainer"]..">";
	["ElizVT"] = "Elizabeth Van Talen".." <"..BabbleNPCDesc["Engineering Supplies"]..">";
	["GrahVT"] = "Graham Van Talen".." <"..BabbleNPCDesc["Apprentice Engineer"]..">";
	["LucF"] = "Lucian Fenner";

	["EsteG"] = "Estelle Gendry";

	["CaroW"] = "Carolyn Ward".." <"..BabbleNPCDesc["Rogue Trainer"]..">";
	["MileD"] = "Miles Dexter".." <"..BabbleNPCDesc["Rogue Trainer"]..">";
	["GregC"] = "Gregory Charles".." <"..BabbleNPCDesc["Rogue Trainer"]..">";
	["MennC"] = "Mennet Carkard";

	["WaltS"] = "Walter Soref".." <"..BabbleNPCDesc["Locksmith"]..">";

  --Red
	["RoyalQua"] = "The Royal Quarter";

	["LadWindr"] = "Lady Sylvanas Windrunner".." <"..BabbleNPCDesc["Banshee Queen"]..">";
	["Sharl"] = "Sharlindra";
	["Varima"] = "Varimathras";
	["ASunsor"] = "Ambassador Sunsorrow";
	["CyssaD"] = "Champion Cyssa Dawnrose".." <"..BabbleNPCDesc["Paladin Trainer"]..">";

	["GrizHalf"] = "Grizzle Halfmane".." <"..BabbleNPCDesc["Alterac Valley Battlemaster"]..">";

	["RexPix"] = "Rex Pixem".." <"..BabbleNPCDesc["Arena Battlemaster"]..">";

	["SirMalo"] = "Sir Malory Wheeler".." <"..BabbleNPCDesc["Arathi Basin Battlemaster"]..">";

	["Lyrlia"] = "Lyrlia Blackshield".." <"..BabbleNPCDesc["Eye of the Storm Battlemaster"]..">";

	["KurdB"] = "Kurden Bloodcalw".." <"..BabbleNPCDesc["Warsong Gultch Battlemaster"]..">";
	["SForth"] = "Sara Forthright".." <"..BabbleNPCDesc["Strand of the Ancients Battlemaster"]..">";
	["SForth&"] = "";
  
};

--end